﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="affixlist.aspx.cs" Inherits="fyyweb.Affix.affixlist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../images/favicon.ico" />
    <link <%="href=\"../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../js/jquery.js"></script>
    <script src="../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="1" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="1" />
        <div class="bread-nav">附件列表<%if (Request["from"] == "portal") { %>
            &nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><%} %></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenyear" onchange="search_affix(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="#" selectid="1">1月</a></li>
                        <li><a href="#" selectid="2">2月</a></li>
                        <li><a href="#" selectid="3">3月</a></li>
                        <li><a href="#" selectid="4">4月</a></li>
                        <li><a href="#" selectid="5">5月</a></li>
                        <li><a href="#" selectid="6">6月</a></li>
                        <li><a href="#" selectid="7">7月</a></li>
                        <li><a href="#" selectid="8">8月</a></li>
                        <li><a href="#" selectid="9">9月</a></li>
                        <li><a href="#" selectid="10">10月</a></li>
                        <li><a href="#" selectid="11">11月</a></li>
                        <li><a href="#" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenmonth" onchange="search_affix(1)" />
                <input name="" type="hidden" id="hiddenday" />
                <div class="fleft opbtns">
                    <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('affix')" />
                    <input type="button" class="hid-btn" />
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table border="0" align="center" cellpadding="0" cellspacing="0" class="tbl mt2" id="tbl">
                    <tr>
                        <th height="30" class="center">序号</th>
                        <th><a href="#" class="common-a" onclick="javascript:sort_affix(1);return false;"><span>文件名</span><span class="order order-1" style="color: Red"></span></a></th>
                        <th><a href="#" class="common-a" onclick="javascript:sort_affix(3);return false;"><span>来源</span><span class="order order-3" style="color: Red"></span></a></th>
                        <th><a href="#" class="common-a" onclick="javascript:sort_affix(2);return false;"><span>上传时间</span><span class="order order-2" style="color: Red"></span></a></th>
                        <th>...</th>
                    </tr>
                    <tr class="hide">
                        <td height="30" class="center" style="width: 80px"></td>
                        <td class="tdleft" title="" style="min-width: 200px"></td>
                        <td class="tdcenter" style="min-width: 80px"></td>
                        <td class="tdcenter" style="min-width: 150px"></td>
                        <td style="min-width: 60px">
                            <div class="dropdown">
                                <a name="linkop" href="#" class="link-op">...</a>
                                <div id="myDropdown_0" class="dropdown-content">
                                    <a href="javascript:;" class="down">下载</a>
                                    <a href="javascript:;" class="del">删除</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                </table>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
    </form>
    <Fyy:DELBOX runat="server" ID="delbox1" />
    <Fyy:QUERY runat="server" ID="query1" />
    <script type="text/javascript">
        var list_type = 0;
        $(function () {
            search_affix_hash();
        });

        function yesDEL() {
            affixdel(dataid);
        }

        function advance_query_hnd() {
            search_affix(1, 1);
        }
    </script>

</body>
</html>
