﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="diaryadd.aspx.cs" Inherits="fyyweb.biz.diary.diaryadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">

        <%string id = Request["ID"];%>
        <%string date = Request["date"];%>
        <%string from = Request["from"];%>
        <%if (string.IsNullOrEmpty(date))
            {%>
        <%date = DateTime.Now.ToString("yyyy-MM-dd"); %>
        <%} %>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="1" SubMenuID="12" Css="mobile-top" />
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="1" SubMenuID="11" Css="mobile-top" />
        <%} %>
        <div class="bread-nav mobile-top">
            日记\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content right-edit-content hidden">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('diarytimeline.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_diary(this, false)" />
                <input type="button" class="hid-btn" />
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
                <span class="spanCharCount m-zs v-mid"></span>
                <span class="draft m-zs v-mid" onclick="showDraftBox();"></span>
            </div>
            <div class="rj-form">
                <input type="text" id="txtDATE" class="datebox" style="width: 117px" placeholder="" value="<%=date %>" />
                <div id="divweatherselect" class="sel weather-sel fleft">
                    <cite>晴</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="1">晴</a></li>
                        <li><a href="javascript:;" selectid="2">阴</a></li>
                        <li><a href="javascript:;" selectid="3">雨</a></li>
                        <li><a href="javascript:;" selectid="4">雪</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="1" id="hiddenweather" />
                <div id="divmoodselect" class="sel mode-sel fleft">
                    <cite>平和</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="1">平和</a></li>
                        <li><a href="javascript:;" selectid="2">失落</a></li>
                        <li><a href="javascript:;" selectid="3">生气</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="1" id="hiddenmood" />
            </div>
            <div class="clear"></div>
            <div id="editorcontainer" class="editor-container mobile-diary-editor mobile-simple-editor" style="margin-top: 0px">
                <Fyy:EDITOR runat="server" ID="editorRJ" BIZID="1" />
                <a href="javascript:;" class="fill-todo" onclick="fetch_today_todo();" title="向文本编辑区域填充今日待办计划任务">
                    <img class="pointer" src="../../images/todo.png" width="20" />
                </a>
                <a href="javascript:;" class="set-auth v-mid" style="display:inline-block" onclick="showAuthPop('diary');" title="设置成员读写权限">
                    <img class="pointer" src="../../images/private.png" width="26" /><span class="auth">仅自己可见</span>
                </a>
            </div>
        </div>
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <input type="hidden" id="hiddenAffixGuid" value="_<%=Guid.NewGuid().ToString() %>" />
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <Fyy:AUTHORITY runat="server" ID="authority1" />
        <script type="text/javascript">
            $(".datebox").datetimepicker({ format: 'Y-m-d', timepicker: false });
            $(function () {
                var diycode = '<%=Business.SessionBIZ.FetchCurrUser().DIYCODE%>';
                if (diycode.length < 66) {
                    return;
                }

                var val = diycode.charAt(1);
                if (val == '0') {
                    $('.fill-todo').remove();
                }

                val = diycode.charAt(5);
                if (val == '0') {
                    $('.set-auth').remove();
                    $('.auth').remove();
                    $('.auth-setting').remove();
                }
                diaryview(1);
            });
        </script>
        <input type="hidden" id="pageguid" value="<%=Guid.NewGuid().ToString() %>" />
        <input type="hidden" id="pagetype" value="1" />
    </form>
</body>
</html>
