﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="diarytimeline.aspx.cs" Inherits="fyyweb.biz.diary.diarytimeline" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="1" SubMenuID="11" />
        <div class="bread-nav">日记\浏览-时间轴<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                        <%for (var _year = DateTime.Now.Year; _year >= 2010; _year--)
                            { %>
                        <li><a href="javascript:;" selectid="<%=_year %>"><%=_year %>年</a></li>
                        <%} %>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenyear" onchange="cleartimeline();search_diary(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                    <input name="" type="hidden" value="" id="hiddenmonth" onchange="cleartimeline();search_diary(1)" />
                </div>
                <input type="button" class="hid-btn-10 fleft" />
                <input type="button" class="ok-btn long fleft" value="高级查询" onclick="queryshowPop('diary')" />
                <input type="button" class="hid-btn-2 fleft" />
                <div class="dropdown more-btn fleft ">
                    <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                    <div id="myDropdown0" class="dropdown-content">
                        <a href="javascript:;" onclick="topagebyhash('diarylist.html');return false;">普通列表</a>
                        <a href="javascript:;" onclick="topage('diarycld.html');return false;">日历</a>
                        <a class="full" href="javascript:;" onclick="tooglerj()">全部缩略</a>
                        <a href="diaryadd.html">新 建</a>
                        <a href="diaryimport.html">导 入</a>
                        <a href="javascript:;" onclick="exportdiary('<%=ResolveUrl("~/handler.ashx?optype=diaryexport") %>');">导 出</a>
                    </div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div id="timeline-container-list" class="timeline-container-list hidden">
                <div class="timeline-small list">
                    <div class="timeline-small-body">
                        <ul>
                            <li class="hide">
                                <div class="bullet"></div>
                                <div class="date">
                                    <span id="spandate"></span>
                                    <span id="spanpersonname" class="personname"></span>
                                    <div class="timeline-dropdown">
                                        <a name="linkop" href="#" class="common-a link-op">...</a>
                                        <div id="myDropdown" class="timeline-dropdown-content">
                                            <a id="edit">编辑</a>
                                            <a id="view">浏览</a>
                                            <a id="del">删除</a>
                                        </div>
                                    </div>

                                </div>
                                <div class="desc">
                                    <h4 id="h_0" class="rjsl hide"></h4>
                                    <h4 id="h_1" class="rjxq show"></h4>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="tlpager-nav center hidden"></div>
            </div>
        </div>
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:PICBOX runat="server" ID="picbox1" />
        <Fyy:MEMBER runat="server" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 1;
            $(function () {
                search_diary_hash();
            });

            function yesDEL() {
                diarydel(dataid);
            }

            function advance_query_hnd() {
                cleartimeline();
                search_diary(1, 1);
            }

            function yesMem() {
                $('#txtRJMEM').val(selectnames);
                $('#hiddenRJMEM').val(selectids);
                hideMemPop();
            }
        </script>
    </form>
</body>
</html>
