﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="docadd.aspx.cs" Inherits="fyyweb.biz.doc.docadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string id = Request["ID"];%>
        <%string planid = Request["planid"];
            Model.Plan plan = new Model.Plan();
            if (!string.IsNullOrEmpty(planid))
            {
                plan = (new Model.Fyy_DbContext("fyydbconn")).Plan.Fetch(Convert.ToInt32(planid));
                if (plan == null)
                {
                    plan = new Model.Plan();
                }
                else
                {
                    if (plan.USERID != Business.SessionBIZ.FetchCurrUser().ID)
                    {
                        plan = new Model.Plan();
                    }
                }
            }
        %>
        <%string from = Request["from"];%>
        <%string doctype = Request["DOCTYPE"];%>
        <%Model.Dic dic = new Model.Dic(); %>
        <%if (!string.IsNullOrEmpty(doctype))
            { %>
        <%
            if (!Futil.ValidateHelper.IsInt(doctype))
            {
                return;
            }

            int _doctype = Convert.ToInt32(doctype);
            Business.DicBIZ dicBIZ = new Business.DicBIZ();
            dic = dicBIZ.FetchDic("WJLX", _doctype);
            if (dic == null)
            {
                dic = new Model.Dic();
            }
        %>
        <%} %>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="5" SubMenuID="52" Css="mobile-top" />
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="5" SubMenuID="51" Css="mobile-top" />
        <%} %>
        <div class="bread-nav mobile-top">文档\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
            </a></div>
        </div>
        <div class="right-content right-edit-content hidden">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('doctimeline.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_doc(this, false)" />
                <input type="button" class="hid-btn" />
                <a id="toogleA" onclick="toogle_panel_detail(this)" title="点击展开更多详细信息">
                    <img class="pointer" src="../../images/down.png" width="26" /></a>
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
                <span class="spanCharCount m-zs v-mid"></span>
                <span class="draft m-zs v-mid" onclick="showDraftBox();"></span>
            </div>
            <div class="form jh-form">
                <div class="lbl fleft right">文档标题</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtWDBT" type="text" class="txtbox tbx-jhmc" placeholder="" value="" autocomplete="off" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">文档分类</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtWDFL" type="text" class="txtbox tbx-jhmc" placeholder="" value="<%=dic.DICNAME %>" autocomplete="off" onclick="showSelPop('doctype')" />
                    <input name="" type="hidden" value="<%=dic.DICCODE %>" id="hiddenWDFL" />
                </div>
                <div class="clear"></div>
                <div id="pannelDetail" class="hidden">
                    <div class="lbl fleft right JH">关联计划</div>
                    <div class="ctrl fleft ctrl-padding JH">
                        <input type="text" id="txtGLJH" class="txtbox tbx-jhmc" placeholder="" value="<%=plan.PLANNAME %>" onclick="showSelPop('plan')" />
                        <input name="" type="hidden" value="<%=planid %>" id="hiddenGLJH" />
                    </div>
                    <div class="clear JH-clear"></div>
                    <div class="lbl fleft right">星标文档</div>
                    <div class="height38 fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxStar">
                            <div class="slider"></div>
                        </label>
                        <a href="javascript:;" class="set-auth v-mid" style="display: inline-block" onclick="showAuthPop('doc');" title="设置成员读写权限">
                            <img class="pointer" src="../../images/private.png" width="26" /><span class="auth">仅自己可见</span>
                        </a>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
            <div class="clear"></div>
            <div class="to-more height26">
                <div class="fright">
                    <span class="more">>></span>
                    <a href="#" class="common-b more-btn" onclick="tooglepanel(this);return false;">更多...</a>
                </div>
                <div class="clear"></div>
            </div>
            <div id="editorcontainer" class="editor-container mobile-doc-editor mobile-simple-editor m-hide">
                <Fyy:EDITOR runat="server" ID="editorRJ" BIZID="5" />
                <input type="hidden" id="pagetype" value="5" />
            </div>
            <div class="clear"></div>
        </div>
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:AUTHORITY runat="server" ID="authority1" />
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <input type="hidden" id="hiddenAffixGuid" value="_<%=Guid.NewGuid().ToString() %>" />
        <script type="text/javascript">
            $(function () {
                var diycode = '<%=Business.SessionBIZ.FetchCurrUser().DIYCODE%>';
                if (diycode.length < 66) {
                    return;
                }

                var val = diycode.charAt(5);
                if (val == '0') {
                    $('.auth').remove();
                    $('.auth-setting').remove();
                }
                val = diycode.charAt(1);
                if (val == '0') {
                    $('.JH').hide();
                    $('.JH-clear').hide();
                }
                docview(1);
            });

            function yes() {
                if (selectids != 0 && selectids == '') {
                    showerr("请选择记录！", 2000);
                    return;
                }
                if (datatype == 'plan') {
                    $('#txtGLJH').val(selectnames);
                    $('#hiddenGLJH').val(selectids);
                } else {
                    $('#txtWDFL').val(selectnames);
                    $('#hiddenWDFL').val(selectids);
                }

                hidePop();
            }
        </script>
    </form>
</body>
</html>
