﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="eventcld.aspx.cs" Inherits="fyyweb.biz.events.eventcld" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/cld.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/eventcld.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="35" />
        <div class="bread-nav">事件\日历<div class=" width10px"></div><a onclick="toeventlist();return false;">普通列表</a><div class=" width10px"></div><a onclick="toeventtimeline();return false;">时间轴</a><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="cldBody">
                <table>
                    <thead>
                        <tr>
                            <th colspan="7">
                                <div class="top">
                                    <span id="today" class="return-today fleft">今天</span>
                                    <div id="diveventcldtypeselect" class="sel cldmonth-sel in-blk">
                                        <cite>全部</cite>
                                        <ul>
                                            <li><a href="javascript:;" selectid="1">全部</a></li>
                                            <li><a href="javascript:;" selectid="2">笔记</a></li>
                                            <li><a href="javascript:;" selectid="3">提醒</a></li>
                                        </ul>
                                    </div>
                                    <input name="" type="hidden" value="1" id="hiddeneventcldtypeselect" onchange="cldeventssearch();" />
                                    <span id="yleft"><</span>
                                    <div id="divcldyearselect" class="sel cldyear-sel in-blk">
                                        <cite><%=DateTime.Now.Year %></cite>
                                        <ul>
                                        </ul>
                                    </div>
                                    <input name="" type="hidden" value="<%=DateTime.Now.Year %>" id="hiddencldyear" onchange="cldeventssearch();" />
                                    <span id="yright">></span>
                                    <span id="mid"></span>
                                    <span id="mleft"><</span>
                                    <div id="divcldmonthselect" class="sel cldmonth-sel in-blk">
                                        <cite><%=DateTime.Now.Month %>月</cite>
                                        <ul>
                                            <li><a href="javascript:;" selectid="1">1月</a></li>
                                            <li><a href="javascript:;" selectid="2">2月</a></li>
                                            <li><a href="javascript:;" selectid="3">3月</a></li>
                                            <li><a href="javascript:;" selectid="4">4月</a></li>
                                            <li><a href="javascript:;" selectid="5">5月</a></li>
                                            <li><a href="javascript:;" selectid="6">6月</a></li>
                                            <li><a href="javascript:;" selectid="7">7月</a></li>
                                            <li><a href="javascript:;" selectid="8">8月</a></li>
                                            <li><a href="javascript:;" selectid="9">9月</a></li>
                                            <li><a href="javascript:;" selectid="10">10月</a></li>
                                            <li><a href="javascript:;" selectid="11">11月</a></li>
                                            <li><a href="javascript:;" selectid="12">12月</a></li>
                                        </ul>
                                    </div>
                                    <input name="" type="hidden" value="<%=DateTime.Now.Month %>" id="hiddencldmonth" onchange="cldeventssearch();" />
                                    <span id="mright">></span>
                                </div>
                            </th>
                        </tr>
                        <tr id="week">
                            <th>周日</th>
                            <th>周一</th>
                            <th>周二</th>
                            <th>周三</th>
                            <th>周四</th>
                            <th>周五</th>
                            <th>周六</th>
                        </tr>
                    </thead>
                    <tbody id="tbody">
                    </tbody>
                </table>
            </div>
        </div>
        <Fyy:QUERY runat="server" ID="query1" />
    </form>
</body>
</html>
