﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="eventtimeline.aspx.cs" Inherits="fyyweb.biz.events.eventtimeline" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="31" />
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string day = Request["day"]; %>
        <%string xiangxian = Request["xiangxian"]; %>
        <%string personid = Request["personid"]; %>
        <%string planid = Request["planid"]; %>
        <div class="bread-nav">事件\浏览-时间轴<%if (Request["from"] == "portal") { %>
            &nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><%} %><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                        <%for (var _year = DateTime.Now.Year; _year >= 2010; _year--)
                            { %>
                        <li><a href="javascript:;" selectid="<%=_year %>"><%=_year %>年</a></li>
                        <%} %>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="cleartimeline();search_event(1,1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="cleartimeline();search_event(1,1)" />
                <input type="button" class="hid-btn-10 fleft" />
                <input type="button" class="ok-btn long fleft" value="高级查询" onclick="queryshowPop('events')" />
                <input type="button" class="hid-btn-2 fleft" />
                <div class="dropdown more-btn fleft">
                    <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                    <div id="myDropdown0" class="dropdown-content">
                        <a href="javascript:;" onclick="topagebyhash('eventlist.html?personid=<%=personid %>&planid=<%=planid %>');return false;">普通列表</a>
                        <a href="javascript:;" onclick="topagebyhash('eventgrid.html?personid=<%=personid %>&planid=<%=planid %>');return false;">看 板</a>
                        <a href="javascript:;" onclick="topage('eventcld.html');return false;">日历</a>
                        <%if (string.IsNullOrEmpty(planid))
                            {%>
                        <a href="eventadd.html">新 建</a>
                        <%}else
                            {%>
                        <a href="eventadd.html?planid=<%=planid %>">新 建</a>
                        <%} %>
                        <a href="eventimport.html">导 入</a>
                        <a href="javascript:;" onclick="exportevents('<%=ResolveUrl("~/handler.ashx?optype=eventsexport") %>');">导 出</a>
                    </div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="timeline-container-list hidden">
                <div class="timeline-small list">
                    <div class="timeline-small-body">
                        <ul>
                            <li class="hide">
                                <div class="bullet"></div>
                                <div class="date">
                                    <span id="spandate"></span>
                                    <span id="spanpersonname" class="personname"></span>
                                    <div class="timeline-dropdown">
                                        <a name="linkop" href="javascript:;" class="common-a link-op">...</a>
                                        <div id="myDropdown" class="timeline-dropdown-content">
                                            <a id="edit">编辑</a>
                                            <a id="view">浏览</a>
                                            <a id="del">删除</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="desc">
                                    <h4 class="cview"></h4>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="tlpager-nav center hidden"></div>
            </div>
        </div>
        <input type="hidden" id="hiddenDAY" value="<%=day %>" />
        <input type="hidden" id="hiddenXIANGXIAN" value="<%=xiangxian %>" />
        <input type="hidden" id="hiddenPERSONID" value="<%=personid %>" />
        <input type="hidden" id="hiddenPLANID" value="<%=planid %>" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:MEMBER runat="server" />
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:PICBOX runat="server" ID="picbox1" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 1;
            $(function () {
                search_event_hash();
            });

            function yesDEL() {
                eventsdel(dataid);
            }

            function advance_query_hnd() {
                list_type = 1;
                cleartimeline();
                search_event(1, 1);
            }

            function yesMem() {
                $('#txtSJMEM').val(selectnames);
                $('#hiddenSJMEM').val(selectids);
                hideMemPop();
            }
            function yes() {
                $('#txtSJGLRY').val(selectnames);
                $('#hiddenSJGLRY').val(selectids);
                hidePop();
            }
        </script>
    </form>
</body>
</html>
