﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="eventview.aspx.cs" Inherits="fyyweb.biz.events.eventview" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="31" Css="mobile-top" />
        <div class="bread-nav mobile-top">事件\详情<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content right-edit-content">
            <%string id = Request["ID"]; %>
            <%string guid = Request["GUID"]; %>
            <%if (string.IsNullOrEmpty(id) && !string.IsNullOrEmpty(guid))
                {%>
            <%
                Business.EventBIZ eventBIZ = new Business.EventBIZ();
                Model.Events events = eventBIZ.FetchEventByGUID(guid);
                if (events == null)
                {
                    id = "-1";
                }
                else
                {
                    id = events.ID.ToString();
                }
            %>
            <%} %>
            <div class="opbtn-container fixed">
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1); return false;" />
                <input type="button" class="hid-btn" />
                <input type="button" id="btnfull" class="ok-btn m-hide" value="全屏" onclick="fullscreen();" />
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="编辑" onclick="topage('eventadd.html?id=<%=id%>')" />
                <input type="button" class="hid-btn" />
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹"></a>
            </div>
            <div class="height50px"></div>
            <div class="form jh-form">
                <div class="lbl fleft right">事件大类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSJDL"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">事件小类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSJXL"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">发生时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtFSSJ"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">是否星标</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtStar"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">关联人员</div>
                <div class="fleft ctrl-padding">
                    <div class="lbl-val" id="txtGLRY"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">关联计划</div>
                <div class="fleft ctrl-padding">
                    <div class="lbl-val" id="txtGLJH"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">是否提醒</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSFTX"></div>
                </div>
                <div class="m-clear"></div>
                <div class="tixing lbl fleft right hidden">提醒重复类型</div>
                <div class="tixing ctrl fleft ctrl-padding hidden">
                    <div class="lbl-val" id="txtCFLX"></div>
                </div>
                <div class="clear"></div>
                <div class="tixing lbl fleft right cfsel hidden">时间选择</div>
                <div class="tixing fleft ctrl-padding cfsel hidden">
                    <div class="lbl-val" id="txtTXREP"></div>
                </div>
                <div class="clear"></div>
                <div class="tixing lbl fleft right hidden">提醒开始时间</div>
                <div class="tixing ctrl fleft ctrl-padding hidden">
                    <div class="lbl-val" id="txtTXKSSJ"></div>
                </div>
                <div class="m-clear"></div>
                <div class="tixing lbl fleft right hidden">提醒结束时间</div>
                <div class="tixing ctrl fleft ctrl-padding hidden">
                    <div class="lbl-val" id="txtTXJSSJ"></div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="editor-view-container">
            </div>
            <span class="edittime"></span>
            <input type="hidden" id="hiddenID" value="<%=id %>" />
        </div>
        <Fyy:PICBOX runat="server" ID="picbox1" />
        <script type="text/javascript">
            $(function () {
                eventview(0);
            });
        </script>
    </form>
</body>
</html>
