﻿var date;
var year;
var nowyear;
var month;
var nowmonth;
var dateday;
var hashQuery;

$(document).ready(function () {
    hashQuery = new SearchCldDiaryHashQuery();
    hashQuery.parseFromLocation();
    if (hashQuery.year != '') {
        showdate(hashQuery.year, hashQuery.month);
    } else {
        showcurdate();
    }

    for (var i = 1900; i <= 2050; i++) {
        $('#divcldyearselect ul').append("<li" + (i == nowyear ?" class='scrolltome'":"")+"><a href=\"javascript:;\" selectid=\"" + i + "\">" + i + "年</a></li>");
    }

    $("#divcldyearselect ul li a").click(function () {
        var txt = $(this).text();
        $("#divcldyearselect cite").html(txt);
        var value = $(this).attr("selectid");
        $("#hiddencldyear").val(value);
        $("#divcldyearselect ul").hide();
        $("#hiddencldyear").change();
    });

    $('#today').click(function () {
        showcurdate();
    });

    $('#yleft').click(function () {
        year = year - 1;
        if (year < 1900) {
            year = 2050;
        }

        searchdata(year, month);
    });

    $('#yright').click(function () {
        year = year + 1;
        if (year > 2025) {
            year = 1900;
        }

        searchdata(year, month);
    })

    $('#mleft').click(function () {
        month = month - 1;
        if (month < 1) {
            month = 12;
            year--;
        }

        searchdata(year, month);
    });

    $('#mright').click(function () {
        month = month + 1;
        if (month > 12) {
            month = 1;
            year++;
        }

        searchdata(year, month);
    })
});

function showcurdate() {
    date = new Date();
    year = date.getFullYear();
    nowyear = date.getFullYear();
    month = date.getMonth() + 1;
    nowmonth = date.getMonth() + 1;
    dateday = date.getDate();
    searchdata(year, month);
}

function showdate(_year, _month) {
    date = new Date();
    year = parseInt(_year);
    month = parseInt(_month);
    nowyear = date.getFullYear();
    nowmonth = date.getMonth() + 1;
    dateday = date.getDate();
    searchdata(year, month);
}

function searchdata(_year, _month) {
    $('#divcldyearselect cite').text(_year+'年');
    $('#hiddencldyear').val(_year);
    $('#divcldmonthselect cite').text(_month+'月');
    $('#hiddencldmonth').val(_month);

    hashQuery.year = _year + '';
    hashQuery.month = _month + '';
    hashQuery.updateLocation();
    var json_text = "{'YEAR':'" + _year + "','MONTH':'" + _month + "'}";
    var json = eval("(" + json_text + ")");
    $.ajax({
        type: "POST",
        async: "false",
        url: "../../handler.ashx?optype=cld_search_diary",
        dataType: "JSON",
        data: json,
        success: function (result) {
            if (result.Success == false) {
                return;
            }
            console.log(result.Data);
            showcld(result.Data);
            $('.loading-container').hide();
            $('#tbody').removeClass('hidden');
        }
    });
}

function showcld(data) {
    var monthDay = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];  // 创建数组存放每个月有多少天 ,默认2月为28天
    // 判断闰年
    if (year % 4 == 0 && year % 100 != 0 || year % 400 == 0) {
        monthDay[1] = 29;
    }
    // 计算每个月的天数
    var days = monthDay[month - 1];
    // 判断每月第一天为周几
    date.setYear(year);        //某年
    date.setMonth(month - 1);   //某年的某月
    date.setDate(1);   // 某月的某天
    var weekday = date.getDay();  // 判断某天是周几
    // 补齐一号前的空格
    var tbodyHtml = '<tr>';
    for (var i = 0; i < weekday; i++) {
        tbodyHtml += "<td></td>";
    }
    // 补齐每月的日期
    var changLine = weekday;
    var tagClass = '';
    for (i = 1; i <= days; i++) {//每一个日期的填充
        if (year == nowyear && month == nowmonth && i == dateday) {
            tagClass = "curDate";//当前日期对应格子
        } else {
            tagClass = "date";
        }

        var divDay = "<div class='margin0'>" + i + "</div>";
        var cndate = Lunar.toLunar(year, month, i);
        divDay += "<div class='cndate margin0'>" + cndate + "</div>";
        var divMood = "";
        var content = "";
        var diaryid = 0;
        var mood = 1;
        for (var p in data) {
            var _day = data[p].DATE.split('-')[2];
            if (_day == ((i < 10 ? "0" : "") + i)) {
                content = data[p].CONTENT2;
                diaryid = data[p].ID;
                mood = data[p].MOOD;
                break;
            }
        }

        var brows = myBrowser();
        //console.log(brows);
        if (brows.indexOf('IE') > -1) {
            if (content.length > 100) {
                content = content.substr(0, 100) + '...';
            }
        }

        if (mood == undefined || mood == 0) {
            mood = 1;
        }

        divMood = "<div class='cld-td-mood margin0'><img width='12' height='12' src='/images/mood" + mood + ".png'/></div>";
        var divContent = "<div class='cld-td-content margin0'>" + content + "</div>";
        if (diaryid > 0) {
            tbodyHtml += "<td class=" + tagClass + " onclick=\"toview(" + diaryid + ")\">" + divDay + divMood + divContent + "</td>";
        } else {
            var sdate = year + '-' + ((month < 10 ? '0' : '') + month) + '-' + ((i < 10 ? '0' : '') + i);
            tbodyHtml += "<td class=" + tagClass + " onclick=\"toadd('" + sdate + "')\">" + divDay + "</td>";
        }
        
        changLine = (changLine + 1) % 7;
        if (changLine == 0 && i != days) {//是否换行填充的判断
            tbodyHtml += "</tr><tr>";
        }
    }
    $('#tbody').empty();   // 清空原有的内容
    $('#tbody').append(tbodyHtml);   //添加当前月份的日期内容
}

function toview(id) {
    window.location.href = 'diaryview.html?id=' + id;
}

function toadd(date) {
    window.location.href = 'diaryadd.html?date=' + date;
}

function todiarylist() {
    window.location.href = 'diarylist.html#' + year + "/" + month;
}

function todiarytimeline() {
    window.location.href = 'diarytimeline.html#' + year + "/" + month;
}