﻿var jh_legend_json = ["未开始", "进行中", "已完成", "已取消"];
var jh_series_data_json = [{ name: "未开始", value: "8" }, { name: "进行中", value: "8" }, { name: "已完成", value: "8" }, { name: "已取消", value: "8" }];
var sj_legend_code_json;
var sj_legend_json;
var sj_series_data_json;
var zc_legend_code_json;
var zc_legend_json;
var zc_series_data_json;
var sl_x_data_json;
var sl_series_data_json;
var sjxl_x_code_json;
var sjxl_x_data_json;
var sjxl_series_data_json;
var wd_x_code_json;
var wd_x_data_json;
var wd_series_data_json;
function renderchart(diycode) {
    var count_type = hashQuery.counttype == '' ? 0 : hashQuery.counttype;
    count_type = parseInt(count_type);
    var count_type_name = '今日';
    switch (count_type) {
        case 0: count_type_name = '今日';break;
        case 1: count_type_name = '本月';break;
        case 2: count_type_name = '本年';break;
        case 3: count_type_name = '全部';break;
    }

    var now_year = $('#hiddenNowYear').val();
    var now_month = $('#hiddenNowMonth').val();
    var now_day = $('#hiddenNowDay').val();
    var count = 0;
    var option;
    var has = false;
    if (is_portal_item_view(diycode, 2, 49)) {
        has = true;
        var tj_jh_chart_container = $('#tj_jh_chart');
        console.log(jh_legend_json);
        console.log(jh_series_data_json);
        count = getJsonLength(jh_series_data_json);
        if (count == 0) {
            tj_jh_chart_container.addClass('center').addClass('tj_jh_chart');
            tj_jh_chart_container.html(count_type_name + "计划统计-暂无数据");
        } else {
            var jh_count = 0;
            $.each(jh_series_data_json, function (n, item) {
                jh_count += parseInt(item.value);
            });
            // 基于准备好的dom，初始化echarts实例
            var tj_jh_chart = echarts.init(tj_jh_chart_container[0], 'customed');

            option = {
                title: {
                    text: count_type_name + '计划统计',
                    subtext: '小计:' + jh_count +'个',
                    x: 'center'
                },
                grid: {
                    // 设置图表距离顶部,左侧，右侧和底部的高度
                    top: '2px',
                    left: '2px',
                    right: '2px',
                    bottom: '2px',
                    width: "auto", //图例宽度
                    height: "100%" //图例高度
                },
                tooltip: {
                    trigger: 'item',
                    formatter: "{a} <br/>{b} : {c} ({d}%)"
                },
                legend: {
                    orient: 'vertical',
                    x: 'left',
                    data: jh_legend_json
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                calculable: true,
                series: [
                    {
                        name: count_type_name + '计划统计',
                        type: 'pie',
                        radius: '55%',
                        center: ['50%', '60%'],
                        data: jh_series_data_json
                    }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_jh_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_jh_chart.on("click", dbl_toplanpage);
                var i1 = 0;
                function dbl_toplanpage(param) {
                    i1++;
                    setTimeout(function () {
                        i1 = 0;
                    }, 500);
                    if (i1 > 1) {
                        toplanpage(param);
                        i1 = 0;
                    }
                }
            } else {
                tj_jh_chart.on("click", toplanpage);
            }
            function toplanpage(param) {
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                var status = 1;
                switch (param.name) {
                    case '未开始': status = 1; break;
                    case '进行中': status = 2; break;
                    case '已完成': status = 3; break;
                    case '已取消': status = 4; break;
                }
                
                switch (count_type) {
                    case 0:
                        window.location.href = 'planlist.html?from=portal&pid=-1#' + now_year + '/' + now_month + '/' + now_day + '/1////' + status + '/';
                        break;
                    case 1:
                        window.location.href = 'planlist.html?from=portal&pid=-1#' + now_year + '/' + now_month + '//1////' + status + '/';
                        break;
                    case 2:
                        window.location.href = 'planlist.html?from=portal&pid=-1#' + now_year + '///1////' + status + '/';
                        break;
                    case 3:
                        window.location.href = 'planlist.html?from=portal&pid=-1#///1////' + status + '/';
                        break;
                }
            }
        }
    } else {
        $('.tj_jh_chart').remove();
    }

    if (is_portal_item_view(diycode, 3, 50)) {
        has = true;
        var tj_sj_chart_container = $('#tj_sj_chart');
        count = getJsonLength(sj_series_data_json);
        if (count == 0) {
            tj_sj_chart_container.addClass('center').addClass('tj_sj_chart');
            tj_sj_chart_container.html(count_type_name + "事件大类统计-暂无数据");
        } else {
            var tj_sj_chart = echarts.init(tj_sj_chart_container[0], 'customed');
            var sj_count = 0;
            $.each(sj_series_data_json, function (n, item) {
                sj_count += parseInt(item.value);
            });
            option = {
                title: {
                    text: count_type_name + '事件大类统计',
                    subtext: '小计:' + sj_count + '个',
                    x: 'center'
                },
                tooltip: {
                    trigger: 'item',
                    formatter: "{a} <br/>{b} : {c} ({d}%)"
                },
                legend: {
                    orient: 'vertical',
                    x: 'left',
                    data: sj_legend_json
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                calculable: true,
                series: [
                    {
                        name: count_type_name + '事件大类统计',
                        type: 'pie',
                        radius: '55%',
                        center: ['50%', '60%'],
                        data: sj_series_data_json
                    }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_sj_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_sj_chart.on("click", dbl_tobigtypeeventpage);
                var i2 = 0;
                function dbl_tobigtypeeventpage(param) {
                    i2++;
                    setTimeout(function () {
                        i2 = 0;
                    }, 500);
                    if (i2 > 1) {
                        tobigtypeeventpage(param);
                        i2 = 0;
                    }
                }
            } else {
                tj_sj_chart.on("click", tobigtypeeventpage);
            }
            function tobigtypeeventpage(param) {
                if (sj_legend_code_json[param.dataIndex] == "0") {
                    return;
                }
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                switch (count_type) {
                    case 0:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '/' + now_month + '/' + now_day + '/1//' + sj_legend_code_json[param.dataIndex] + '///';
                        break;
                    case 1:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '/' + now_month + '/1//' + sj_legend_code_json[param.dataIndex] + '///';
                        break;
                    case 2:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '//1//' + sj_legend_code_json[param.dataIndex] + '///';
                        break;
                    case 3:
                        window.location.href = 'eventlist.html?from=portal#//1//' + sj_legend_code_json[param.dataIndex] + '///';
                        break;
                }
            }
        }
    } else {
        $('.tj_sj_chart').remove();
    }
    
    if (is_portal_item_view(diycode, 4, 51)) {
        has = true;
        var tj_zc_chart_container = $('#tj_zc_chart');
        count = getJsonLength(zc_series_data_json);
        if (count == 0) {
            tj_zc_chart_container.addClass('center').addClass('tj_zc_chart');
            tj_zc_chart_container.html(count_type_name + "支出统计-暂无数据");
        } else {
            var tj_zc_chart = echarts.init(tj_zc_chart_container[0], 'customed');
            var zc_count = 0;
            $.each(zc_series_data_json, function (n, item) {
                zc_count += parseFloat(item.value);
            });
            option = {
                title: {
                    text: count_type_name + '支出统计',
                    subtext: '小计:' + zc_count.toFixed(2) + '元',
                    x: 'center'
                },
                tooltip: {
                    trigger: 'item',
                    formatter: "{a} <br/>{b} : {c} ({d}%)"
                },
                legend: {
                    orient: 'vertical',
                    x: 'left',
                    data: zc_legend_json
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                calculable: true,
                series: [
                    {
                        name: count_type_name + '支出统计',
                        type: 'pie',
                        radius: '55%',
                        center: ['50%', '60%'],
                        data: zc_series_data_json
                    }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_zc_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_zc_chart.on("click", dbl_tobigtypeaccountpage);
                var i3 = 0;
                function dbl_tobigtypeaccountpage(param) {
                    i3++;
                    setTimeout(function () {
                        i3 = 0;
                    }, 500);
                    if (i3 > 1) {
                        tobigtypeaccountpage(param);
                        i3 = 0;
                    }
                }
            } else {
                tj_zc_chart.on("click", tobigtypeaccountpage);
            }
            function tobigtypeaccountpage(param) {
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                switch (count_type) {
                    case 0:
                        window.location.href = 'accounttimeline.html?from=portal#' + now_year + '/' + now_month + '/' + now_day + '/1//2/15/' + zc_legend_code_json[param.dataIndex] + '/';
                        break;
                    case 1:
                        window.location.href = 'accounttimeline.html?from=portal#' + now_year + '/' + now_month + '//1//2/15/' + zc_legend_code_json[param.dataIndex] + '/';
                        break;
                    case 2:
                        window.location.href = 'accounttimeline.html?from=portal#' + now_year + '///1//2/15/' + zc_legend_code_json[param.dataIndex] + '/';
                        break;
                    case 3:
                        window.location.href = 'accounttimeline.html?from=portal#///1//2/15/' + zc_legend_code_json[param.dataIndex] + '/';
                        break;
                }
            }
        }
    } else {
        $('.tj_zc_chart').remove();
    }
    
    if (is_portal_item_view(diycode, 0, 52)) {
        has = true;
        var tj_sl_chart_container = $("#tj_sl_chart");
        count = getJsonLength(sl_series_data_json);
        if (count == 0) {
            tj_sl_chart_container.addClass('center').addClass('tj_sl_chart');
            tj_sl_chart_container.html(count_type_name + "数据量统计-暂无数据");
        } else {
            var tj_sl_chart = echarts.init(tj_sl_chart_container[0], 'customed');
            var sl_count = 0;
            $.each(sl_series_data_json, function (n, item) {
                sl_count += parseInt(item);
            });
            option = {
                // 标题
                title: {
                    text: count_type_name + '数据量统计',
                    subtext: '小计:' + sl_count +'条',
                    x: 'center'
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                tooltip: {
                    trigger: 'axis'
                },
                // x轴
                xAxis: {
                    axisLabel: {
                        interval: 0,
                        formatter: function (value) {
                            //x轴的文字改为竖版显示
                            var str = value.split("");
                            return str.join("\n");
                        }
                    },
                    //data: ["日记", "计划", "事件", "记账", "文档"]
                    data: sl_x_data_json
                },
                yAxis: {},
                // 数据
                series: [{
                    name: '数量',
                    type: 'bar',
                    data: sl_series_data_json,
                    //data: [5, 20, 36, 10, 10]
                    //label: {
                    //    show: true,
                    //    position: 'insideBottom',
                    //    color: '#ffffff',
                    //    formatter: function (params) {
                    //        var txtArry = params.seriesName.split('');
                    //        var rs = '';
                    //        for (var i = 0; i < txtArry.length; i++) {
                    //            rs += txtArry[i] + '\n';
                    //        }

                    //        return rs;
                    //    }
                    //}
                }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_sl_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_sl_chart.on("click", dbl_tobizpage);
                var i4 = 0;
                function dbl_tobizpage(param) {
                    i4++;
                    setTimeout(function () {
                        i4 = 0;
                    }, 500);
                    if (i4 > 1) {
                        tobizpage(param);
                        i4 = 0;
                    }
                }
            } else {
                tj_sl_chart.on("click", tobizpage);
            }

            function tobizpage(param) {
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                var url = 'diary/diarylist.html';
                switch (param.name) {
                    case '日记': url = 'diarylist.html'; break;
                    case '计划': url = 'planlist.html'; break;
                    case '事件': url = 'eventlist.html'; break;
                    case '记账': url = 'accountlist.html'; break;
                    case '文档': url = 'doclist.html'; break;
                    case '人员': url = 'personlist.html'; break;
                }

                switch (count_type) {
                    case 0:
                        window.location.href = url + '?from=portal#' + now_year + '/' + now_month + '/' + now_day;
                        break;
                    case 1:
                        window.location.href = url + '?from=portal#' + now_year + '/' + now_month;
                        break;
                    case 2:
                        window.location.href = url + '?from=portal#' + now_year;
                        break;
                    case 3:
                        window.location.href = url +'?from=portal';
                        break;
                }
            }
        }
    } else {
        $(".tj_sl_chart").remove();
    }
    
    if (is_portal_item_view(diycode, 3, 53)) {
        has = true;
        var tj_sjxl_chart_container = $('#tj_sjxl_chart');
        count = getJsonLength(sjxl_series_data_json);
        if (count == 0) {
            tj_sjxl_chart_container.addClass('center').addClass('tj_sjxl_chart');
            tj_sjxl_chart_container.html(count_type_name + "事件小类统计-暂无数据");
        } else {
            var tj_sjxl_chart = echarts.init(tj_sjxl_chart_container[0], 'customed');
            var sjxl_count = 0;
            $.each(sjxl_series_data_json, function (n, item) {
                sjxl_count += parseInt(item);
            });
            option = {
                // 标题
                title: {
                    text: count_type_name + '事件小类统计',
                    subtext: '小计:' + sjxl_count +'条  只对星标小类进行统计',
                    x: 'center'
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                tooltip: {
                    trigger: 'axis'
                },
                // x轴
                xAxis: {
                    axisLabel: {
                        interval: 0,
                        formatter: function (value) {
                            //x轴的文字改为竖版显示
                            var str = value.split("");
                            return str.join("\n");
                        }
                    },
                    data: sjxl_x_data_json
                },
                yAxis: {},
                // 数据
                series: [{
                    name: '数量',
                    type: 'bar',
                    data: sjxl_series_data_json
                }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_sjxl_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_sjxl_chart.on("click", dbl_tosmalltypeventpage);
                var i5 = 0;
                function dbl_tosmalltypeventpage(param) {
                    i5++;
                    setTimeout(function () {
                        i5 = 0;
                    }, 500);
                    if (i5 > 1) {
                        tosmalltypeventpage(param);
                        i5 = 0;
                    }
                }
            } else {
                tj_sjxl_chart.on("click", tosmalltypeventpage);
            }
            function tosmalltypeventpage(param) {
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                switch (count_type) {
                    case 0:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '/' + now_month + '/' + now_day + '/1//' + sjxl_x_code_json[param.dataIndex].PDICCODE + '/' + sjxl_x_code_json[param.dataIndex].PID + '/' + sjxl_x_code_json[param.dataIndex].DICCODE + '/';
                        break;
                    case 1:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '/' + now_month + '//1//' + sjxl_x_code_json[param.dataIndex].PDICCODE + '/' + sjxl_x_code_json[param.dataIndex].PID + '/' + sjxl_x_code_json[param.dataIndex].DICCODE + '/';
                        break;
                    case 2:
                        window.location.href = 'eventlist.html?from=portal#' + now_year + '///1//' + sjxl_x_code_json[param.dataIndex].PDICCODE + '/' + sjxl_x_code_json[param.dataIndex].PID + '/' + sjxl_x_code_json[param.dataIndex].DICCODE + '/';
                        break;
                    case 3:
                        window.location.href = 'eventlist.html?from=portal#///1//' + sjxl_x_code_json[param.dataIndex].PDICCODE + '/' + sjxl_x_code_json[param.dataIndex].PID + '/' + sjxl_x_code_json[param.dataIndex].DICCODE + '/';
                        break;
                }
            }
        }
    } else {
        $(".tj_sjxl_chart").remove();
    }
    
    if (is_portal_item_view(diycode, 5, 54)) {
        has = true;
        var tj_wd_chart_container = $("#tj_wd_chart");
        count = getJsonLength(wd_series_data_json);
        if (count == 0) {
            tj_wd_chart_container.addClass('center').addClass('tj_wd_chart');
            tj_wd_chart_container.html(count_type_name + "上传附件统计-暂无数据");
        } else {
            var tj_wd_chart = echarts.init(tj_wd_chart_container[0], 'customed');
            var wd_count = 0;
            $.each(wd_series_data_json, function (n, item) {
                wd_count += parseInt(item);
            });
            option = {
                // 标题
                title: {
                    text: count_type_name + '上传附件统计',
                    subtext: '小计:' + wd_count +'个',
                    x: 'center'
                },
                toolbox: {
                    show: true,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        magicType: {
                            show: true,
                            type: ['pie', 'funnel'],
                            option: {
                                funnel: {
                                    x: '25%',
                                    width: '50%',
                                    funnelAlign: 'left',
                                    max: 1548
                                }
                            }
                        },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                tooltip: {
                    trigger: 'axis'
                },
                // x轴
                xAxis: {
                    data: wd_x_data_json
                },
                yAxis: {},
                // 数据
                series: [{
                    name: '数量',
                    type: 'bar',
                    data: wd_series_data_json
                }
                ]
            };

            // 使用刚指定的配置项和数据显示图表。
            tj_wd_chart.setOption(option);
            if (document.body.clientWidth < 650) {
                tj_wd_chart.on("click", dbl_toaffixlistpage);
                var i6 = 0;
                function dbl_toaffixlistpage(param) {
                    i6++;
                    setTimeout(function () {
                        i6 = 0;
                    }, 500);
                    if (i6 > 1) {
                        toaffixlistpage(param);
                        i6 = 0;
                    }
                }
            } else {
                tj_wd_chart.on("click", toaffixlistpage);
            }
            function toaffixlistpage(param) {
                hashQuery.scrollto = scrollto;
                hashQuery.updateLocation();
                var url = 'affixlist.html?from=portal';
                switch (count_type) {
                    case 0:
                        window.location.href = url + '#' + now_year + '/' + now_month + '/' + now_day + '/' + wd_x_code_json[param.dataIndex];
                        break;
                    case 1:
                        window.location.href = url + '#' + now_year + '/' + now_month + '//' + wd_x_code_json[param.dataIndex];
                        break;
                    case 2:
                        window.location.href = url + '#' + now_year + '///' + wd_x_code_json[param.dataIndex];
                        break;
                    case 3:
                        window.location.href = url + '#///' + wd_x_code_json[param.dataIndex];
                        break;
                }
            }
        }
    } else {
        $(".tj_wd_chart").remove();
    }

    if (!has) {
        $('.count-type').remove();
    }
}