﻿var date;
var year;
var pid;
var nowyear;
var month;
var nowmonth;
var dateday;
var hashQuery;

$(function () {
    var _pid = $('#hiddenPID').val();
    if (_pid != '') {
        pid = parseInt(_pid);
    } else {
        pid = 0;
    }

    hashQuery = new SearchCldPlanHashQuery();
    hashQuery.parseFromLocation();
    if (hashQuery.year != '') {
        showdate(hashQuery.year, hashQuery.month);
    } else {
        showcurdate();
    }

    for (var i = 1900; i <= 2050; i++) {
        $('#divcldyearselect ul').append("<li" + (i == nowyear ? " class='scrolltome'" : "") + "><a href=\"javascript:;\" selectid=\"" + i + "\">" + i + "年</a></li>");
    }

    $("#divcldyearselect ul li a").click(function () {
        var txt = $(this).text();
        $("#divcldyearselect cite").html(txt);
        var value = $(this).attr("selectid");
        $("#hiddencldyear").val(value);
        $("#divcldyearselect ul").hide();
        $("#hiddencldyear").change();
    });

    $('#today').click(function () {
        showcurdate();
    });

    $('#yleft').click(function () {
        year = year - 1;
        if (year < 1900) {
            year = 2050;
        }

        searchdata(year, month, pid);
    });

    $('#yright').click(function () {
        year = year + 1;
        if (year > 2025) {
            year = 1900;
        }

        searchdata(year, month, pid);
    })

    $('#mleft').click(function () {
        month = month - 1;
        if (month < 1) {
            month = 12;
            year--;
        }

        searchdata(year, month, pid);
    });

    $('#mright').click(function () {
        month = month + 1;
        if (month > 12) {
            month = 1;
            year++;
        }

        searchdata(year, month, pid);
    })
});

function showcurdate() {
    date = new Date();
    year = date.getFullYear();
    nowyear = date.getFullYear();
    month = date.getMonth() + 1;
    nowmonth = date.getMonth() + 1;
    dateday = date.getDate();
    searchdata(year, month, pid);
}

function showdate(_year, _month) {
    date = new Date();
    year = parseInt(_year);
    month = parseInt(_month);
    nowyear = date.getFullYear();
    nowmonth = date.getMonth() + 1;
    dateday = date.getDate();
    searchdata(year, month);
}

function searchdata(_year, _month) {
    $('#divcldyearselect cite').text(_year + '年');
    $('#hiddencldyear').val(_year);
    $('#divcldmonthselect cite').text(_month + '月');
    $('#hiddencldmonth').val(_month);

    hashQuery.year = _year + '';
    hashQuery.month = _month + '';
    hashQuery.updateLocation();
    var json_text = "{'YEAR':'" + _year + "','MONTH':'" + _month + "','PID':" + pid + "}";
    var json = eval("(" + json_text + ")");
    $.ajax({
        type: "POST",
        async: "false",
        url: "../../handler.ashx?optype=cld_search_plan",
        dataType: "JSON",
        data: json,
        success: function (result) {
            if (result.Success == false) {
                return;
            }

            console.log(result.Data);
            showcld(result.Data);
            $('.loading-container').hide();
            $('#tbody').removeClass('hidden');
        }
    });
}

function showcld(data) {
    var monthDay = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];  // 创建数组存放每个月有多少天 ,默认2月为28天
    // 判断闰年
    if (year % 4 == 0 && year % 100 != 0 || year % 400 == 0) {
        monthDay[1] = 29;
    }
    // 计算每个月的天数
    var days = monthDay[month - 1];
    // 判断每月第一天为周几
    date.setYear(year);        //某年
    date.setMonth(month - 1);   //某年的某月
    date.setDate(1);   // 某月的某天
    var weekday = date.getDay();  // 判断某天是周几
    // 补齐一号前的空格
    var tbodyHtml = '<tr>';
    for (var i = 0; i < weekday; i++) {
        tbodyHtml += "<td></td>";
    }
    // 补齐每月的日期
    var changLine = weekday;
    var tagClass = '';

    if (data.length != days) {
        return;
    }

    for (i = 1; i <= days; i++) {//每一个日期的填充
        if (year == nowyear && month == nowmonth && i == dateday) {
            tagClass = "curDate";//当前日期对应格子
        } else {
            tagClass = "date";
        }
        var divDay = "<div>" + i + "</div>";
        var cndate = Lunar.toLunar(year, month, i);
        divDay += "<div class='cndate'>" + cndate + "</div>";

        var content = "";
        //var brows = myBrowser();
        ////console.log(brows);
        //if (brows.indexOf('IE') > -1) {
        //}

        var cellds = data[i-1];
        for (var j = 1; j < 7; j++) {
            var cell_item = "";
            if (cellds.planCldCellDataList.length > 0) {
                for (var k = 0; k < cellds.planCldCellDataList.length; k++) {
                    var celldata = cellds.planCldCellDataList[k];
                    if (celldata.ROWINDEX == j) {
                        var status = 'wks';
                        switch (celldata.STATUS) {
                            case 1: status = 'wks'; break;//cadetblue
                            case 2: status = 'jxz'; break;//#EB8B6E
                            case 3: status = 'ywc'; break;//#B0E8E2
                            case 4: status = 'wwc'; break;//#F93B69
                        }

                        cell_item = "<div title=\"" + celldata.PLANNAME + "\" class=\"jh-cld-item " + status + "\" onclick=\"toplanview(" + celldata.ID + ")\">" + celldata.PLANNAME + "</div>";
                        continue;
                    }
                }
            }

            if (cell_item == '') {
                cell_item = "<div class=\"jh-cld-item\"></div>";
            }

            content += cell_item;
        }

        if (cellds.planCldCellDataList.length > 0) {
            var othercount = cellds.planCldCellDataList.length - 6;
            var pidstr = '';
            if (pid != 0) {
                pidstr = "&pid=" + pid;
            }

            content += "<div class=\"jh-cld-item\"><a class='common-a' href='planlist.html?year=" + year + "&month=" + month + pidstr + "&day=" + i + "&FROMCLD=1'>" + " ...</a><span style='color:orange'>" + (othercount > 0 ? ("+" + othercount) : "")+"</span></div>";
        }

        var divContent = "<div class='cld-td-content'>" + content + "</div>";
        tbodyHtml += "<td class=" + tagClass + ">" + divDay + divContent + "</td>";
        changLine = (changLine + 1) % 7;
        if (changLine == 0 && i != days) {//是否换行填充的判断
            tbodyHtml += "</tr><tr>";
        }
    }

    $('#tbody').empty();   // 清空原有的内容
    $('#tbody').append(tbodyHtml);   //添加当前月份的日期内容
}

function toplanview(id) {
    window.location.href = 'planview.html?id=' + id;
}

function toplanlist() {
    window.location.href = 'planlist.html#' + year + "/" + month;
}

function toplantimeline() {
    window.location.href = 'plantimeline.html#' + year + "/" + month;
}