﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="messagelist.aspx.cs" Inherits="fyyweb.biz.setting.messagelist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="7" SubMenuID="70" />
        <div class="bread-nav">设置\消息通知<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenyear" onchange="search_message(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="#" selectid="1">1月</a></li>
                        <li><a href="#" selectid="2">2月</a></li>
                        <li><a href="#" selectid="3">3月</a></li>
                        <li><a href="#" selectid="4">4月</a></li>
                        <li><a href="#" selectid="5">5月</a></li>
                        <li><a href="#" selectid="6">6月</a></li>
                        <li><a href="#" selectid="7">7月</a></li>
                        <li><a href="#" selectid="8">8月</a></li>
                        <li><a href="#" selectid="9">9月</a></li>
                        <li><a href="#" selectid="10">10月</a></li>
                        <li><a href="#" selectid="11">11月</a></li>
                        <li><a href="#" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenmonth" onchange="search_message(1)" />
                <div class="fleft opbtns">
                    <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('message')" />
                    <input type="button" class="hid-btn" />
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table border="0" align="center" cellpadding="0" cellspacing="0" class="tbl" id="tbl">
                    <tr>
                        <th height="30" class="center" width="70">序号</th>
                        <th><a href="#" class="common-a" onclick="javascript:sort_message(1);return false;"><span>消息内容</span><span class="order order-1" style="color: Red"></span></a></th>
                        <th><a href="#" class="common-a" onclick="javascript:sort_message(2);return false;"><span>发送时间</span><span class="order order-2" style="color: Red"></span></a></th>
                        <th width="60">...</th>
                    </tr>
                    <tr class="hide">
                        <td height="30" class="tdcenter"></td>
                        <td class="tdleft" title=""></td>
                        <td class="tdcenter"></td>
                        <td>
                            <div class="dropdown">
                                <a name="linkop" href="#" class="link-op">...</a>
                                <div id="myDropdown" class="dropdown-content op">
                                    <a href="javascript:;" class="op-1">按钮一</a>
                                    <a href="javascript:;" class="op-2">按钮二</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                </table>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
        <Fyy:QUERY runat="server" ID="query1" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                search_message_hash(1);
            });

            function advance_query_hnd() {
                search_message(1, 1);
            }
        </script>
    </form>
</body>
</html>
