﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="planadd.aspx.cs" Inherits="fyyweb.biz.plan.planadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string xiangxian = Request["XIANGXIAN"];%>
        <%string id = Request["ID"];%>
        <%string pid = Request["PID"];%>
        <%string from = Request["from"];%>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="2" SubMenuID="22" Css="mobile-top" />
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="2" SubMenuID="21" Css="mobile-top" />
        <%} %>

        <%  
            string type = "计划";
            string parentname = string.Empty;
            if (!string.IsNullOrEmpty(pid))
            {
                if (!Futil.ValidateHelper.IsInt(pid))
                {
                    Response.Write("pid参数无效！");
                    Response.End();
                    return;
                }

                type = "任务";
                Business.PlanBIZ planBIZ = new Business.PlanBIZ();
                Model.Plan plan = planBIZ.FetchPlan(Convert.ToInt32(pid));
                if (plan == null)
                {
                    Response.Write("未找到计划！");
                    Response.End();
                    return;
                }

                parentname = plan.PLANNAME;
            }
        %>

        <div class="bread-nav mobile-top">
            计划\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content right-edit-content hidden">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('plantimeline.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_plan(this, false)" />
                <input type="button" class="hid-btn" />
                <a id="toogleA" onclick="toogle_panel_detail(this)" title="点击展开更多详细信息">
                    <img class="pointer" src="../../images/down.png" width="26" /></a>
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
                <span class="spanCharCount m-zs v-mid"></span>
                <span class="draft m-zs v-mid" onclick="showDraftBox();"></span>
            </div>
            <div class="form jh-form">
                <%if (!string.IsNullOrEmpty(pid))
                    { %>
                <div class="lbl fleft right">所属计划</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val tbx-jhmc" id="txtSSJH"><%=parentname %></div>
                </div>
                <div class="clear"></div>
                <%} %>
                <div class="lbl fleft right"><%=type %>名称</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtJHMC" class="txtbox tbx-jhmc" placeholder="" value="" autocomplete="off" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">计划开始时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtJHKSSJ" class="datebox" placeholder="" value="" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">计划结束时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtJHJSSJ" class="datebox" placeholder="" value="" />
                </div>
                <div class="clear"></div>
                <div id="pannelDetail" class="hidden">
                    <div class="lbl fleft right">实际开始时间</div>
                    <div class="ctrl fleft ctrl-padding">
                        <input type="text" id="txtSJKSSJ" class="datebox real-datebox" placeholder="" value="" />
                    </div>
                    <div class="m-clear"></div>
                    <div class="lbl fleft right">实际结束时间</div>
                    <div class="ctrl fleft ctrl-padding">
                        <input type="text" id="txtSJJSSJ" class="datebox real-datebox" placeholder="" value="" />
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right">计划分类</div>
                    <div class="ctrl fleft ctrl-padding">
                        <div id="divjhflselect" class="sel jh-sel fleft">
                            <cite></cite>
                            <ul>
                            </ul>
                        </div>
                        <input name="" type="hidden" value="" id="hiddenjhfl" />
                    </div>
                    <div class="m-clear"></div>
                    <div class="lbl fleft right">优先级别</div>
                    <div class="ctrl fleft ctrl-padding">
                        <div id="divyxjselect" class="sel jh-sel fleft">
                            <cite id="YXJ"></cite>
                            <ul>
                                <li><a href="javascript:;" selectid="1">重要又紧急</a></li>
                                <li><a href="javascript:;" selectid="2">重要但不紧急</a></li>
                                <li><a href="javascript:;" selectid="3">不紧急也不重要</a></li>
                                <li><a href="javascript:;" selectid="4">紧急但不重要</a></li>
                            </ul>
                        </div>
                        <input name="" type="hidden" value="" id="hiddenYXJ" />
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right">计划状态</div>
                    <div class="ctrl fleft ctrl-padding">
                        <div id="divjhztselect" class="sel jh-sel fleft">
                            <cite id="JHZT"></cite>
                            <ul>
                                <li><a href="javascript:;" selectid="1">未开始</a></li>
                                <li><a href="javascript:;" selectid="2">进行中</a></li>
                                <li><a href="javascript:;" selectid="3">已完成</a></li>
                                <li><a href="javascript:;" selectid="4">已取消</a></li>
                                <li id="jhzt_gd"><a href="javascript:;" selectid="5">已归档</a></li>
                            </ul>
                        </div>
                        <input name="" type="hidden" value="" id="hiddenJHZT" />
                    </div>
                    <div class="m-clear"></div>
                    <div class="lbl fleft right">工时(分钟)</div>
                    <div class="ctrl fleft ctrl-padding">
                        <input type="text" id="txtSJGS" class="txtbox" placeholder="" value="" />
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right ZXR">执行人</div>
                    <div class="ctrl fleft ctrl-padding ZXR">
                        <input type="text" id="txtZXR" class="txtbox tbx-jhmc" placeholder="" value="" readonly="readonly" onclick="showMemPop('ZXR')" />
                        <input name="" type="hidden" value="" id="hiddenZXR" />
                    </div>
                    <div class="clear ZXR-clear"></div>
                    <div class="lbl fleft right CYR">参与人</div>
                    <div class="ctrl fleft ctrl-padding CYR">
                        <input type="text" id="txtCYR" class="txtbox tbx-jhmc" placeholder="" value="" readonly="readonly" onclick="showMemPop('CYR')" />
                        <input name="" type="hidden" value="" id="hiddenCYR" />
                    </div>
                    <div class="clear CRY-clear"></div>
                    <div class="lbl fleft right">是否提醒</div>
                    <div class="ctrl fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxSFTX" onclick="cbxcftx_click()">
                            <div class="slider"></div>
                        </label>
                    </div>
                    <div class="m-clear"></div>
                    <div class="lbl fleft right">星标计划</div>
                    <div class="ctrl fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxStar">
                            <div class="slider"></div>
                        </label>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
            <div class="clear"></div>
            <div class="to-more height26">
                <div class="fright">
                    <span class="more">>></span>
                    <a href="#" class="common-b more-btn" onclick="tooglepanel(this);return false;">更多...</a>
                </div>
                <div class="clear"></div>
            </div>
            <div id="editorcontainer" class="editor-container mobile-plan-editor mobile-simple-editor m-hide">
                <Fyy:EDITOR runat="server" ID="editorRJ" BIZID="2" />
                <input type="hidden" id="pagetype" value="2" />
            </div>
            <div class="clear"></div>
        </div>
        <Fyy:MEMBER runat="server" />
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <input type="hidden" id="hiddenXIANGXIAN" value="<%=xiangxian %>" />
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <input type="hidden" id="hiddenPID" value="<%=pid %>" />
        <input type="hidden" id="hiddenAffixGuid" value="_<%=Guid.NewGuid().ToString() %>" />
        <script type="text/javascript">
            $(function () {
                var diycode = '<%=Business.SessionBIZ.FetchCurrUser().DIYCODE%>';
                if (diycode.length < 66) {
                    return;
                }

                var val = diycode.charAt(5);
                if (val == '0') {
                    $('.ZXR').hide();
                    $('.CYR').hide();
                    $('.ZXY-clear').remove();
                    $('.CRY-clear').remove();
                }

                planview(1);
            });

            function yesMem() {
                $('#txt' + datatype).val(selectnames);
                $('#hidden' + datatype).val(selectids);
                hideMemPop();
            }
        </script>
    </form>
</body>
</html>
