﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="planlist.aspx.cs" Inherits="fyyweb.biz.plan.planlist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="2" SubMenuID="21" />
        <%string pid = Request["pid"]; %>
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string day = Request["day"]; %>
        <%string fromcld = Request["fromcld"]; %>
        <%string xiangxian = Request["xiangxian"]; %>
        <div class="bread-nav">计划\浏览-普通列表<%if (Request["from"] == "portal")
                                             { %>
            &nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><%} %>
            <div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                        <%for (var _year = DateTime.Now.Year; _year >= 2010; _year--)
                            { %>
                        <li><a href="javascript:;" selectid="<%=_year %>"><%=_year %>年</a></li>
                        <%} %>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="cleartimeline();search_plan(1,1)" />
                <input name="" type="hidden" id="hiddenday" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="cleartimeline();search_plan(1,1)" />
                <div class="fleft opbtns">
                    <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('plan')" />
                    <input type="button" class="hid-btn" />
                    <div class="dropdown more-btn">
                        <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                        <div id="myDropdown0" class="dropdown-content">
                            <%if (string.IsNullOrEmpty(pid))
                                {%>
                            <a href="javascript:;" onclick="topagebyhash('plantimeline.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>&xiangxian=<%=xiangxian %>');return false;">时间轴</a>
                            <a href="javascript:;" onclick="topagebyhash('planxiangxian.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>&xiangxian=<%=xiangxian %>');return false;">四象限</a>
                            <a href="javascript:;" onclick="topage('plancld.html?PID=<%=pid %>');return false;">日历</a>
                            <a href="planadd.html">新 建</a>
                            <a href="planimport.html">导 入</a>
                            <a href="planimport.html">导 出</a>
                            <%}
                                else
                                { %>
                            <a href="javascript:;" onclick="topagebyhash('plantask.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>&xiangxian=<%=xiangxian %>');return false;">时间轴</a>
                            <a href="javascript:;" onclick="topagebyhash('planxiangxian.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>&xiangxian=<%=xiangxian %>');return false;">四象限</a>
                            <a href="javascript:;" onclick="topage('plancld.html?PID=<%=pid %>');return false;">日历</a>
                            <a href="planadd.html?pid=<%=pid %>">新 建</a>
                            <a href="planimport.html?pid=<%=pid %>">导 入</a>
                            <a href="planimport.html?pid=<%=pid %>">导 出</a>
                            <%} %>
                        </div>
                    </div>
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="tl-view-title"></div>
            <div class="table-container">
                <table border="0" cellpadding="0" cellspacing="0" class="tbl" id="tbl">
                    <thead>
                        <tr>
                            <th>序号</th>
                            <th height="30">
                                <a href="#" class="common-b" onclick="javascript:sort_plan(1);return false;"><span>计划名称</span><span class="order order-1" style="color: Red"></span></a></th>
                            <th height="30">
                                <a href="#" class="common-b" onclick="javascript:return false;"><span>执行人</span><span class="order order-7" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_plan(2);return false;"><span>计划状态</span><span class="order order-2" style="color: Red"></span></a></th>
                            <th id="thJHKSSJ" style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_plan(3);return false;"><span>计划开始时间</span><span class="order order-3" style="color: Red"></span></a></th>
                            <th id="thJHJSSJ" style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_plan(4);return false;"><span>计划结束时间</span><span class="order order-4" style="color: Red"></span></a></th>
                            <th>
                                <a href="#" class="common-b" onclick="javascript:sort_plan(5);return false;"><span>实际开始时间</span><span class="order order-5" style="color: Red"></span></a></th>
                            <th id="thSJJSSJ" style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_plan(6);return false;"><span>实际结束时间</span><span class="order order-6" style="color: Red"></span></a></th>
                            <th>...</th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr class="hide">
                            <td class="tdcenter" style="min-width: 60px">1</td>
                            <td class="title td-long-word tdleft" height="30" style="min-width: 100px; max-width: 300px"><a class="common-b" href="planview.aspx?pid=0"></a></td>
                            <td class="tdcenter" style="min-width: 80px"></td>
                            <td class="tdcenter" style="min-width: 80px;"></td>
                            <td class="tdcenter" style="min-width: 150px"></td>
                            <td class="tdcenter" style="min-width: 150px"></td>
                            <td class="tdcenter" style="min-width: 150px"></td>
                            <td class="tdcenter" style="min-width: 150px"></td>
                            <td class="tdcenter" style="min-width: 60px">
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown" class="dropdown-content op">
                                        <a href="javascript:;" class="tasklist">任务列表</a>
                                        <a href="javascript:;" class="addtask">新建任务</a>
                                        <a href="javascript:;" class="edit">编辑</a>
                                        <a href="javascript:;" class="view">浏览</a>
                                        <a href="javascript:;" class="del">删除</a>
                                        <a id="addevents">新建事件</a>
                                        <a id="addaccount">新建记账</a>
                                        <a id="adddoc">新建文档</a>
                                        <a href="javascript:;" class="viewevent">事件列表</a>
                                        <a href="javascript:;" class="viewaccount">记账列表</a>
                                        <a href="javascript:;" class="viewdoc">文档列表</a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
        <input type="hidden" id="hiddenPID" value="<%=pid %>" />
        <input type="hidden" id="hiddenDAY" value="<%=day %>" />
        <input type="hidden" id="hiddenFROMCLD" value="<%=fromcld %>" />
        <input type="hidden" id="hiddenXIANGXIAN" value="<%=xiangxian %>" />
        <input type="hidden" id="hiddenSortType" value="" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:MEMBER runat="server" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                search_plan_hash();
            });

            function yesDEL() {
                plandel(dataid);
            }

            function advance_query_hnd() {
                cleartimeline();
                search_plan(1, 1);
            }

            function yesMem() {
                $('#txtJHMEM').val(selectnames);
                $('#hiddenJHMEM').val(selectids);
                hideMemPop();
            }
        </script>
    </form>
</body>
</html>
