﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="planxiangxian.aspx.cs" Inherits="fyyweb.biz.plan.planxiangxian" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="2" SubMenuID="21" />
        <%string pid = Request["PID"];%>
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string day = Request["day"]; %>
        <%string fromcld = Request["fromcld"]; %>
        <div class="bread-nav">计划\浏览-四象限<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
            </a></div>
        </div>
        <div class="right-content">
            <div class="opbtn-container rj-tool xiangxian-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="search_xiangxian_plan(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="search_xiangxian_plan(1)" />
                <input type="button" class="hid-btn-12" />
                <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('plan')" />
                <input type="button" class="hid-btn" />
                <div class="dropdown more-btn">
                    <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                    <div id="myDropdown0" class="dropdown-content">
                        <a href="javascript:;" onclick="topagebyhash('planlist.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>');return false;">普通列表</a>
                        <%if (string.IsNullOrEmpty(pid))
                            {%>
                        <a href="javascript:;" onclick="topagebyhash('plantimeline.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>');return false;">时间轴</a>
                        <a href="planadd.html">新 建</a>
                        <a href="planimport.html">导 入</a>
                        <%}
                            else
                            { %>
                        <a href="javascript:;" onclick="topagebyhash('plantask.html?PID=<%=pid %>&year=<%=year %>&month=<%=month %>&day=<%=day %>&fromcld=<%=fromcld %>');return false;">时间轴</a>
                        <a href="planadd.html?pid=<%=pid %>">新 建</a>
                        <a href="planimport.html?pid=<%=pid %>">导 入</a>
                        <%} %>
                        <a href="javascript:;" onclick="exportplan('<%=ResolveUrl("~/handler.ashx?optype=planexport") %>');">导 出</a>
                    </div>
                </div>
            </div>
            <div class="tl-view-title" style="text-align: left"></div>
            <div class="xiangxian-container hidden">
                <div class="fleft xiangxian-2">
                    <div class="xiangxian">
                        <div class="fleft lpad kanban color-green mid">
                            <img />重要但不紧急</div>
                        <div class="fright rpad"><a class="common-b quick-add mid" href="planadd.aspx?xiangxian=2">
                            <img />新建</a></div>
                        <div class="clear"></div>
                    </div>
                    <div class="item hide">
                        <div class="fleft title"><a class="common-b cview"></a></div>
                        <div class="fleft time">
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="pannel-pager-nav"><span></span><a class="common-a"></a></div>
                </div>
                <div class="fleft xiangxian-1">
                    <div class="xiangxian">
                        <div class="fleft lpad kanban color-red mid">
                            <img />重要又紧急</div>
                        <div class="fright rpad"><a class="common-b quick-add mid" href="planadd.aspx?xiangxian=1">
                            <img />新建</a></div>
                        <div class="clear"></div>
                    </div>
                    <div class="item hide">
                        <div class="fleft title"><a class="common-b cview"></a></div>
                        <div class="fleft time">
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="pannel-pager-nav"><span></span><a class="common-a"></a></div>
                </div>
                <div class="clear"></div>
                <div class="fleft xiangxian-3">
                    <div class="xiangxian">
                        <div class="fleft lpad kanban color-blue mid">
                            <img />不紧急也不重要</div>
                        <div class="fright rpad"><a class="common-b quick-add mid" href="planadd.aspx?xiangxian=3">
                            <img />新建</a></div>
                        <div class="clear"></div>
                    </div>
                    <div class="item hide">
                        <div class="fleft title"><a class="common-b cview"></a></div>
                        <div class="fleft time">
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="pannel-pager-nav"><span></span><a class="common-a"></a></div>
                </div>
                <div class="fleft xiangxian-4">
                    <div class="xiangxian">
                        <div class="fleft lpad kanban color-orange mid">
                            <img />紧急但不重要</div>
                        <div class="fright rpad"><a class="common-b quick-add mid" href="planadd.aspx?xiangxian=4">
                            <img />新建</a></div>
                        <div class="clear"></div>
                    </div>
                    <div class="item hide">
                        <div class="fleft title"><a class="common-b cview"></a></div>
                        <div class="fleft time">
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="pannel-pager-nav"><span></span><a class="common-a"></a></div>
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <input type="hidden" id="hiddenPID" value="<%=pid %>" />
        <input type="hidden" id="hiddenDAY" value="<%=day %>" />
        <input type="hidden" id="hiddenFROMCLD" value="<%=fromcld %>" />
        <input type="hidden" id="hiddenXIANGXIAN" value="" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:MEMBER runat="server" />
        <script type="text/javascript">
            $(function () {
                search_xiangxian_plan_hash();
            });

            function yes() {
                plandel(dataid);
            }

            function advance_query_hnd() {
                search_xiangxian_plan(1);
            }

            function yesMem() {
                $('#txtJHMEM').val(selectnames);
                $('#hiddenJHMEM').val(selectids);
                hideMemPop();
            }
        </script>
    </form>
</body>
</html>
