﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="portal.aspx.cs" Inherits="fyyweb.biz.portal" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../images/favicon.ico" />
    <link <%="href=\"../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../js/jquery.js"></script>
    <script src="../js/echarts.min.js"></script>
    <script src="../js/echarts.ui.js"></script>
    <script type="text/javascript" src="../js/home.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../js/op.js??v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="0" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="1" />
        <div class="bread-nav">
            首页<div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content">
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="quick-container hidden">
                <div class="groupbox">
                    <span class="grouptitle welcome">
                        <img />欢迎使用&nbsp;<a id="msgcount" class="color-red" href="setting/messagelist.aspx"></a></span>
                    <div class="spanRegdays tj fleft">
                        注册天数
                        <span id="spanRegdays" class="block"></span>
                    </div>
                    <div class="spanDiaryCharNum tj fleft">
                        日记字数
                        <span id="spanDiaryCharNum" class="block"></span>
                    </div>
                    <div class="spanDocCharNum tj fleft">
                        文档字数
                        <span id="spanDocCharNum" class="block"></span>
                    </div>
                    <div class="clear"></div>
                    <div class="count-type">
                        统计方式<input type="radio" id="count_type_0" name="count_type" class="regular-radio" checked="" value="0"><label for="count_type_0"></label>
                        今日
                        <input type="radio" id="count_type_1" name="count_type" class="regular-radio" value="1"><label for="count_type_1"></label>
                        本月
                                <input type="radio" id="count_type_2" name="count_type" class="regular-radio" value="2"><label for="count_type_2"></label>
                        本年
                                <input type="radio" id="count_type_3" name="count_type" class="regular-radio" value="3"><label for="count_type_3"></label>
                        全部
                    </div>
                    <div class="spanTodayIn sz-today tj fleft">
                        今日收入（元）
                        <a class="common-b block" href="accounttimeline.html#<%=DateTime.Now.Year %>/<%=DateTime.Now.Month %>/<%=DateTime.Now.Day %>/1//1////"><span id="spanTodayIn"></span></a>
                    </div>
                    <div class="spanTodayPay sz-today tj fleft">
                        今日支出（元）
                        <a class="common-a block" href="accounttimeline.html#<%=DateTime.Now.Year %>/<%=DateTime.Now.Month %>/<%=DateTime.Now.Day %>/1//2////"><span id="spanTodayPay"></span></a>
                    </div>
                    <div class="spanTodayBalance sz-today tj fleft">
                        今日结余（元）
                        <a class="common-a block"><span id="spanTodayBalance"></span></a>
                    </div>
                    <div class="clear"></div>
                    <div class="spanThisMonthIn sz-thismonth hidden tj fleft">
                        本月收入（元）
                        <a class="common-b block" href="accounttimeline.html#<%=DateTime.Now.Year %>/<%=DateTime.Now.Month %>//1//1////"><span id="spanThisMonthIn"></span></a>
                    </div>
                    <div class="spanThisMonthPay sz-thismonth hidden tj fleft">
                        本月支出（元）
                        <a class="common-a block" href="accounttimeline.html#<%=DateTime.Now.Year %>/<%=DateTime.Now.Month %>//1//2////"><span id="spanThisMonthPay"></span></a>
                    </div>
                    <div class="spanThisMonthBalance sz-thismonth hidden tj fleft">
                        本月结余（元）
                        <a class="common-a block"><span id="spanThisMonthBalance"></span></a>
                    </div>
                    <div class="clear"></div>
                    <div class="spanThisYearIn sz-thisyear hidden tj fleft">
                        本年收入（元）
                        <a class="common-b block" href="accounttimeline.html#<%=DateTime.Now.Year %>///1//1////"><span id="spanThisYearIn"></span></a>
                    </div>
                    <div class="spanThisYearPay sz-thisyear hidden tj fleft">
                        本年支出（元）
                        <a class="common-a block" href="accounttimeline.html#<%=DateTime.Now.Year %>///1//2////"><span id="spanThisYearPay"></span></a>
                    </div>
                    <div class="spanThisYearBalance sz-thisyear hidden tj fleft">
                        本年结余（元）
                        <a class="common-a block"><span id="spanThisYearBalance"></span></a>
                    </div>
                    <div class="clear"></div>
                    <div class="spanTotalIn sz-total hidden tj fleft">
                        累计收入（元）
                        <a class="common-b block" href="accounttimeline.html#///1//1////"><span id="spanTotalIn"></span></a>
                    </div>
                    <div class="spanTotalPay sz-total hidden tj fleft">
                        累计支出（元）
                        <a class="common-a block" href="accounttimeline.html#///1//2////"><span id="spanTotalPay"></span></a>
                    </div>
                    <div class="spanTotalBalance sz-total hidden tj fleft">
                        累计结余（元）
                        <a class="common-b block"><span id="spanTotalBalance"></span></a>
                    </div>
                    <div class="clear"></div>
                    <div id="daysay"></div>
                </div>
                <div class="groupbox">
                    <span class="grouptitle quick">
                        <img />
                        快捷方式</span>
                    <div>
                        <div class="fleft pr10 quick-add add-diary v-mid">
                            <a class="common-b mid" href="diaryadd.html?from=portal">
                                <img />新建日记</a>
                        </div>
                        <div class="fleft pr10 quick-add add-plan v-mid">
                            <a class="common-b mid" href="planadd.html?from=portal">
                                <img />新建计划</a>
                        </div>
                        <div class="fleft pr10 quick-add add-event v-mid">
                            <a class="common-b mid" href="eventadd.html?from=portal">
                                <img />新建事件</a>
                        </div>
                        <div class="fleft pr10 quick-add add-account v-mid">
                            <a class="common-b mid" href="accountadd.html?from=portal">
                                <img />新建记账</a>
                        </div>

                        <div class="fleft pr10 quick-add add-doc v-mid">
                            <a class="common-b mid" href="docadd.html?from=portal">
                                <img />新建文档</a>
                        </div>
                        <div class="fleft pr10 quick-add add-person v-mid">
                            <a class="common-b mid" href="personadd.html?from=portal">
                                <img />新建人员</a>
                        </div>
                        <div class="fleft pr10 quick-rili diary-cld v-mid">
                            <a class="common-b mid" href="diarycld.html">
                                <img />日记日历</a>
                        </div>
                        <div class="fleft pr10 quick-rili plan-cld v-mid">
                            <a class="common-b mid" href="plancld.html">
                                <img />计划日历</a>
                        </div>

                        <div class="fleft pr10 quick-rili event-cld v-mid">
                            <a class="common-b mid" href="eventcld.html">
                                <img />事件日历</a>
                        </div>
                        <div class="fleft pr10 quick-panel plan-xiangxian v-mid">
                            <a class="common-b mid" href="planxiangxian.html">
                                <img />计划象限</a>
                        </div>
                        <div class="fleft pr10 quick-panel event-grid v-mid">
                            <a class="common-b mid" href="eventgrid.html">
                                <img />事件面板</a>
                        </div>
                        <div class="fleft pr10 quick-tj account-tj v-mid">
                            <a class="common-b mid" href="accountreport.html">
                                <img />记账统计</a>
                        </div>

                        <div class="fleft pr10 quick-diy diy v-mid">
                            <a class="common-b mid" href="diy.html">
                                <img />个性定制</a>
                        </div>
                        <div class="fleft pr10 quick-diy diy v-mid">
                            <a class="common-b mid" href="userinfo.html">
                                <img />基础设置</a>
                        </div>
                        <div class="fleft pr10 quick-diy diy v-mid">
                            <a class="common-b mid" href="affixlist.html">
                                <img />附件管理</a>
                        </div>
                        <div class="clear"></div>
                    </div>
                </div>
                <div class="groupbox p-jqjh">
                    <span class="grouptitle">
                        <img />待办计划</span>
                </div>
                <div class="clear"></div>
                <div class="groupbox p-dbrw">
                    <span class="grouptitle">
                        <img />待办任务</span>
                </div>
                <div class="clear"></div>
                <div class="groupbox p-star-jh">
                    <span class="grouptitle">
                        <img />星标计划</span>
                </div>
                <div class="groupbox p-star-sj">
                    <span class="grouptitle">
                        <img />星标事件</span>
                </div>
                <div class="groupbox p-star-jz">
                    <span class="grouptitle">
                        <img />星标记账</span>
                </div>
                <div class="groupbox p-star-doc">
                    <span class="grouptitle">
                        <img />星标文档</span>
                </div>
                <div class="groupbox p-friend-event">
                    <span class="grouptitle">
                        <img />来往事件</span>
                </div>
                <div class="groupbox p-friend-account">
                    <span class="grouptitle">
                        <img />来往记账</span>
                </div>
                <div class="groupbox p-zj">
                    <span class="grouptitle">
                        <img />最新数据</span>
                </div>
            </div>
            <div class="tj-container hidden">
                <div class="tj-container-item">
                    <div id="tj_jh_chart" class="tj_chart tj_jh_chart"></div>
                    <div id="tj_sj_chart" class="tj_chart tj_sj_chart"></div>
                </div>
                <div class="clear"></div>
                <div class="tj-container-item">
                    <div id="tj_zc_chart" class="tj_chart tj_zc_chart"></div>
                    <div id="tj_sl_chart" class="tj_chart tj_sl_chart"></div>
                </div>
                <div class="clear"></div>
                <div class="tj-container-item">
                    <div id="tj_sjxl_chart" class="tj_chart tj_sjxl_chart"></div>
                    <div id="tj_wd_chart" class="tj_chart tj_wd_chart"></div>
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <input type="hidden" id="hiddenNowYear" value="<%=DateTime.Now.Year %>" />
        <input type="hidden" id="hiddenNowMonth" value="<%=DateTime.Now.Month %>" />
        <input type="hidden" id="hiddenNowDay" value="<%=DateTime.Now.Day %>" />
        <script type="text/javascript">
            $(function () {
                $("input[type='radio']").on("click", function () {
                    updatePortalHashQueryByForm();
                    hashQuery.scrollto = scrollto;
                    hashQuery.updateLocation();
                    fetch_portalobj();
                })

                fetch_portalobj_hash();
            });
        </script>
    </form>
</body>
</html>
