﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="preview.aspx.cs" Inherits="fyyweb.biz.preview" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" http-equiv="X-UA-Compatible" content="width=device-width, initial-scale=1.0" />
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../images/favicon.ico" />
    <link <%="href=\"../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../js/jquery.js"></script>
    <script src="../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string id = Request["ID"]; %>
        <div class="right-content right-edit-content fullscreen">
            <div class="opbtn-container fixed">
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <input type="button" class="ok-btn" value="下载" onclick="topage('download.html?id=<%=id%>')" />
                <input type="button" class="hid-btn" />
            </div>
            <div class="height50px"></div>
            <div class="editor-view-container">
                <%
                    string content = string.Empty;
                    Business.DocBIZ docBIZ = new Business.DocBIZ();
                    string fileid = Request["id"];
                    if (string.IsNullOrEmpty(fileid))
                    {
                        Response.Write("参数空！");
                        return;
                    }
                    Model.Affix affix = docBIZ.GetAffix(fileid);
                    if (affix == null)
                    {
                        Response.Write("不存在或无权访问！");
                        return;
                    }
                    string filepath = Server.MapPath("~/Affix/file/" + affix.CURNAME);
                    string extension = System.IO.Path.GetExtension(filepath);
                    bool isImg = false;
                    switch (extension.ToLower())
                    {
                        case ".docx":
                            Futil.DocxHelper docxHelper = new Futil.DocxHelper();
                            docxHelper.DocxName = System.IO.Path.GetFileName(filepath);
                            docxHelper.ImgPath = "Affix";
                            content = docxHelper.ConvertDoc2Html(filepath);
                            break;
                        case ".txt":
                            content = System.IO.File.ReadAllText(filepath);
                            break;
                        case ".pdf":
                            filepath = "../Affix/file/" + affix.CURNAME;
                            break;
                        case ".bmp":
                        case ".jpg":
                        case ".jpeg":
                        case ".png":
                            isImg = true;
                            filepath = "../Affix/file/" + affix.CURNAME;
                            break;
                    }
                %>
                <%=content %>
                <%if (extension.ToLower().Equals(".pdf") || isImg)
                    {%>
                <iframe id="iframePdf" src="<%=filepath %>" class="width100"></iframe>
                <script type="text/javascript">
                    $(function () {
                        $('#iframePdf').height(document.body.clientHeight - 50);
                    });
                </script>
                <%} %>
            </div>
        </div>
    </form>
</body>
</html>
