﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="search.aspx.cs" Inherits="fyyweb.biz.search" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../images/favicon.ico" />
    <link <%="href=\"../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../js/jquery.js"></script>
    <script src="../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="1" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="1" />
        <div class="bread-nav">
            全局搜索<div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divmoduleselect" class="sel module-sel fleft">
                    <cite>全部</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="0">全部</a></li>
                        <li><a href="javascript:;" selectid="1">日记</a></li>
                        <li><a href="javascript:;" selectid="2">计划</a></li>
                        <li><a href="javascript:;" selectid="3">事件</a></li>
                        <li><a href="javascript:;" selectid="4">记账</a></li>
                        <li><a href="javascript:;" selectid="5">文档</a></li>
                        <li><a href="javascript:;" selectid="6">人员</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenmodule" onchange="search_global(1,1)" />
                <div class="label-btn mt2"><a name="render_type" id="render_timeline" class="cur" onclick="render(1);return false;">时间线</a></div>
                <div class="label-btn mt2"><a name="render_type" id="render_list" onclick="render(0);return false;">普通列表</a></div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="timeline-container-list hidden">
                <div class="timeline-small list">
                    <div class="timeline-small-body">
                        <ul>
                            <li class="hide">
                                <div class="bullet"></div>
                                <div class="date">
                                    <span id="spandate"></span>
                                    <div class="timeline-dropdown">
                                        <a name="linkop" href="#" class="common-a link-op">...</a>
                                        <div id="myDropdown" class="timeline-dropdown-content">
                                            <a id="view">详情</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="desc">
                                    <h4 class="cview"></h4>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="tlpager-nav center hidden"></div>
            </div>
            <div class="table-container">
                <table border="0" align="center" cellpadding="0" cellspacing="0" class="tbl mt2" id="tbl">
                    <tr>
                        <th height="30" class="center">序号</th>
                        <th>模块</th>
                        <th>内容</th>
                        <th>更新时间</th>
                        <th>...</th>
                    </tr>
                    <tr class="hide">
                        <td height="30" class="center" style="min-width: 60px">###</td>
                        <td class="tdcenter" style="min-width: 80px">###</td>
                        <td class="title tdleft td-long-word" style="min-width: 150px; max-width: 500px" title="##"><a>##</a></td>
                        <td class="tdcenter" style="min-width: 150px">##</td>
                        <td style="min-width: 60px">
                            <div class="dropdown">
                                <a name="linkop" href="#" class="link-op">...</a>
                                <div id="myDropdown_0" class="dropdown-content">
                                    <a href="javascript:;" class="view">详情</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                </table>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
    </form>
    <script type="text/javascript">
        var keyword ='<%=Request["keyword"]%>';
        $(function () {
            $("a[name='render_type'").click(function () {
                $("a[name='render_type']").removeClass('cur');
                $(this).removeClass('cur');
                $(this).addClass('cur');
            })
            list_type = 1;
            $('.table-container').removeClass('hidden');
            $('.table-container').addClass('hidden');
            search_global_hash();
        });

        function render(type) {
            if (type == 0) {
                $('.timeline-container-list').removeClass('hidden');
                $('.timeline-container-list').addClass('hidden');
            } else {
                cleartimeline();
                hashQuery.scrollto = '0';
                $('.table-container').removeClass('hidden');
                $('.table-container').addClass('hidden');
            }
            list_type = type;
            search_global(1,1);
        }
    </script>
</body>
</html>
