﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SELBOX.ascx.cs" Inherits="fyyweb.uc.SELBOX" %>
<div id="div-popup-sel" class="div-popup div-sel-popup">
    <div class="title">选择对话框</div>
    <div class="close">
        <a href="javascript:hidePop();" title="关闭">
            <img src="../../images/close.png" /></a>
    </div>
    <div class="div-popup-form div-sel-popup-form">
        <div id="search" class="search">
            <input type="text" id="txtkey" class="txtbox line-textbox" style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" placeholder="输入关键字查询" value="" autocomplete="off" />
        </div>
        <div id="listcontent" class="content">
            <table style="width: 100%" border="0" cellpadding="0" cellspacing="0" class="tbl" id="tbl">
                <tr class="hide">
                    <td class="tdcenter" width="30">
                        <input type="checkbox" class="cbx vmid" /></td>
                    <td class="tdcenter" width="50">122222</td>
                    <td class="td-long-word tdleft" height="30" style="min-width: 100px">111</td>
                </tr>
            </table>
            <div class='pager-nav' id='pagerLink1'></div>
        </div>
        <div id="treecontent" class="content">
            <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl treelist">
                <tr id="0" class="hide">
                    <td class="tdcenter" style="min-width: 30px">1</td>
                    <td style="min-width: 200px" height="30" class="tdleft" istitle="1"></td>
                    <td style="min-width: 60px">
                        <a href="javascript:;" class="sel">选择</a>
                    </td>
                    <td></td>
                </tr>
            </table>
        </div>
    </div>
    <div class="sel-btn">
        <input type="button" class="ok-btn" value="确定" onclick="yes();" />
        <input type="button" class="hid-btn" />
        <input type="button" class="ret-btn" value="取消" onclick="hidePop()" />
    </div>
</div>
<div id="div-popup-shade" class="div-popup-shade"></div>
<script type="text/javascript">
    var popup = document.getElementById('div-popup-sel');
    var shade = document.getElementById('div-popup-shade');
    var datatype = '';
    $(function () {
        $(".div-sel-popup #txtkey").bind('input', {}, function (event) {
            if (datatype == 'jointeam') {
                fetch_team_intobox();
            } else if (datatype == 'invitemember') {
                fetch_member_intobox();
            } else {
                fetch_data_intobox(datatype);
            }
        });
    });

    function showPopWithOutShade(_datatype) {
        popup.style.display = "block";
        datatype = _datatype;
        selectids = '';
        selectnames = '';
        $('#div-popup-sel #txtkey').val('');
        $('#div-popup-sel .title').html("选择文档分类");
        $('#div-popup-sel #listcontent').css('display', 'none');
        $('#div-popup-sel #treecontent').css('display', 'block');
        $('#div-popup-sel .sel-btn').css('display', 'none');
        fetch_doctype_intobox();
    }

    function showSelPop(_datatype,value_control_id='',withoutSHADE=true) {
        popup.style.display = "block";
        if (withoutSHADE) {
            shade.style.display = "block";
        }
        datatype = _datatype;
        if (value_control_id != '') {
            selectids = $("#" + value_control_id).val();
        } else {
            selectids = '';
        }
        
        selectnames = '';
        $('#txtkey').val('');
        fetch_data_intobox(datatype);
    }

    function showPopEx(_datatype) {
        popup.style.display = "block";
        shade.style.display = "block";
        datatype = _datatype;
        selectids = '';
        selectnames = '';
        $('#txtkey').val('');
        fetch_data_intobox(datatype);
    }

    function fetch_data_intobox(_datatype) {
        switch (_datatype) {
            case 'person': {
                selectids = $('#hiddenGLRY').val();
                $('.div-sel-popup .title').html("选择人员");
                $('.div-sel-popup #listcontent').css('display', 'block');
                $('.div-sel-popup #search').css('display', 'block');
                $('.div-sel-popup #treecontent').css('display', 'none');
                $('.div-sel-popup .sel-btn').css('display', 'block');
                fetch_person_intobox(1, 1);
                break;
            }
            case 'glry': {
                $('#div-popup-sel .title').html("选择关联人员");
                $('#div-popup-sel #listcontent').css('display', 'block');
                $('#div-popup-sel #search').css('display', 'block');
                $('#div-popup-sel #treecontent').css('display', 'none');
                $('#div-popup-sel .sel-btn').css('display', 'block');
                fetch_glry_intobox(1, 1);
                break;
            }
            case 'member': {
                $('.div-sel-popup .title').html("选择成员");
                $('.div-sel-popup #listcontent').css('display', 'block');
                $('.div-sel-popup #search').css('display', 'block');
                $('.div-sel-popup #treecontent').css('display', 'none');
                $('.div-sel-popup .sel-btn').css('display', 'block');
                fetch_member_intobox(1, 1);
                break;
            }
            case 'plan': {
                selectids = $('#hiddenGLJH').val();
                $('.title').html("选择计划");
                $('#listcontent').css('display', 'block');
                $('#search').css('display', 'block');
                $('#treecontent').css('display', 'none');
                $('.sel-btn').css('display', 'block');
                fetch_plan_intobox(1, 1);
                break;
            }
            case 'doctype': {
                $('.div-sel-popup .title').html("选择文档分类");
                $('.div-sel-popup #listcontent').css('display', 'none');
                $('.div-sel-popup #treecontent').css('display', 'block');
                $('.div-sel-popup .sel-btn').css('display', 'none');
                fetch_doctype_intobox();
                break;
            }
            case 'jointeam': {
                $('.div-sel-popup .title').html("加入团队");
                $('#listcontent').css('display', 'none');
                $('#treecontent').css('display', 'block');
                $('.div-sel-popup .sel-btn').css('display', 'none');
                fetch_team_intobox();
                break;
            }
            case 'invitemember': {
                $('.div-sel-popup .title').html("邀请成员");
                $('#listcontent').css('display', 'none');
                $('#treecontent').css('display', 'block');
                $('.sel-btn').css('display', 'none');
                $('.div-sel-popup .sel-btn').css('display', 'none');
                fetch_member_intobox();
                break;
            }
        }
    }

    function hidePop() {
        popup.style.display = "none";
        shade.style.display = "none";
        datatype = '';
    }
</script>
