﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="accountadd.aspx.cs" Inherits="fyyweb.biz.account.accountadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string id = Request["ID"];%>
        <%string planid = Request["planid"];
            Model.Plan plan = new Model.Plan();
            if (!string.IsNullOrEmpty(planid))
            {
                plan = (new Model.Fyy_DbContext("fyydbconn")).Plan.Fetch(Convert.ToInt32(planid));
                if (plan == null)
                {
                    plan = new Model.Plan();
                }
                else
                {
                    if (plan.USERID != Business.SessionBIZ.FetchCurrUser().ID)
                    {
                        plan = new Model.Plan();
                    }
                }
            }
        %>
        <%string from = Request["from"];%>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="4" SubMenuID="42" Css="mobile-top" />
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="4" SubMenuID="41" Css="mobile-top" />
        <%} %>
        <div class="bread-nav mobile-top">
            记账\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content right-edit-content hidden">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('accounttimeline.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_account(this, false)" />
                <input type="button" class="hid-btn" />
                <a id="toogleA" onclick="toogle_panel_detail(this)" title="点击展开更多详细信息">
                    <img class="pointer" src="../../images/down.png" width="26" /></a>
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
                <span class="spanCharCount m-zs v-mid"></span>
                <span class="draft m-zs v-mid" onclick="showDraftBox();"></span>
            </div>
            <div class="form jh-form">
                <div class="lbl fleft right">记账大类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divjzdlselect" class="sel jh-sel fleft">
                        <cite>请选择</cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddenjzdl" />
                    <input name="" type="hidden" value="" id="hiddenjzdlid" />
                    <input name="" type="hidden" value="" id="hiddenjzdltext" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">记账小类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divjzxlselect" class="sel jh-sel fleft">
                        <cite></cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddenjzxl" />
                    <input name="" type="hidden" value="" id="_hiddenjzxl" />
                    <input name="" type="hidden" value="" id="hiddenjzxltext" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">发生时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtFSSJ" class="datebox" placeholder="" value="" autocomplete="off" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">发生金额(元)</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtFSJE" class="txtbox" placeholder="" value="" autocomplete="off" />
                </div>
                <div class="clear"></div>
                <div id="pannelDetail" class="hidden">
                    <div class="lbl fleft right">当前账本</div>
                    <div class="ctrl fleft ctrl-padding">
                        <input name="" type="hidden" value="" id="hiddenbook" />
                        <input type="text" id="txtaccbook" class="txtbox tbx-jhmc" placeholder="" value="" readonly="readonly" />
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right RY">关联人员</div>
                    <div class="ctrl fleft ctrl-padding RY">
                        <input type="text" id="txtGLRY" class="txtbox tbx-jhmc" placeholder="" value="" onclick="showSelPop('person')" />
                        <input name="" type="hidden" value="" id="hiddenGLRY" />
                    </div>
                    <div class="clear RY-clear"></div>
                    <div class="lbl fleft right JH">关联计划</div>
                    <div class="ctrl fleft ctrl-padding JH">
                        <input type="text" id="txtGLJH" class="txtbox tbx-jhmc" placeholder="" value="<%=plan.PLANNAME %>" onclick="showSelPop('plan')" />
                        <input name="" type="hidden" value="<%=planid %>" id="hiddenGLJH" />
                    </div>
                    <div class="clear JH-clear"></div>
                    <div class="lbl fleft right">不计入收支</div>
                    <div class="height38 fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxNOJRSZ">
                            <div class="slider"></div>
                        </label>
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right">星标记账</div>
                    <div class="height38 fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxStar">
                            <div class="slider"></div>
                        </label>
                        <a href="javascript:;" class="set-auth v-mid" style="display: inline-block" onclick="showAuthPop('account');" title="设置成员读写权限">
                            <img class="pointer" src="../../images/private.png" width="26" /><span class="auth">仅自己可见</span>
                        </a>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
            <div class="to-more height26">
                <div class="fright">
                    <span class="more">>></span>
                    <a href="#" class="common-b more-btn" onclick="tooglepanel(this);return false;">更多...</a>
                </div>
                <div class="clear"></div>
            </div>
            <div id="editorcontainer" class="editor-container mobile-account-editor mobile-simple-editor m-hide">
                <Fyy:EDITOR runat="server" ID="editorRJ" BIZID="4" />
                <input type="hidden" id="pagetype" value="4" />
            </div>
        </div>
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:AUTHORITY runat="server" ID="authority1" />
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <input type="hidden" id="hiddenAffixGuid" value="_<%=Guid.NewGuid().ToString() %>" />
        <script type="text/javascript">
            $(function () {
                var diycode = '<%=Business.SessionBIZ.FetchCurrUser().DIYCODE%>';
                if (diycode.length < 66) {
                    return;
                }

                var val = diycode.charAt(5);
                if (val == '0') {
                    $('.RY').hide();
                    $('.RY-clear').hide();
                    $('.auth').remove();
                    $('.auth-setting').remove();
                }
                val = diycode.charAt(1);
                if (val == '0') {
                    $('.JH').hide();
                    $('.JH-clear').hide();
                }
                accountview(1);
            });

            function yes() {
                if (datatype == 'plan') {
                    if (selectids != '' && selectnames != '') {
                        $('#txtGLJH').val(selectnames);
                    }

                    $('#hiddenGLJH').val(selectids);
                } else {
                    if (selectids != '' && selectnames != '') {
                        $('#txtGLRY').val(selectnames);
                    }

                    $('#hiddenGLRY').val(selectids);
                }

                hidePop();
            }
        </script>
    </form>
</body>
</html>
