﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="accountchart.aspx.cs" Inherits="fyyweb.biz.account.accountchart" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/echarts.min.js"></script>
    <script src="../../js/echarts.ui.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script type="text/javascript">
        $(function () {
            fetch_account_chart();
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="4" SubMenuID="41" />
        <div class="bread-nav">
            记账\图表分析&nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <%string personid = Request["personid"]; %>
        <%string planid = Request["planid"]; %>
        <div class="right-content">
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div id="tj_sr_chart" class="tj_chart tj_sr_chart"></div>
            <div id="tj_zc_chart" class="tj_chart tj_zc_chart"></div>
        </div>
        <input type="hidden" id="hiddenPERSONID" value="<%=personid %>" />
        <input type="hidden" id="hiddenPLANID" value="<%=planid %>" />
        <input name="" type="hidden" id="hiddenyear" />
        <input name="" type="hidden" id="hiddenmonth" />
        <input name="" type="hidden" id="hiddenday" />
    </form>
</body>
</html>
