﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="accountlist.aspx.cs" Inherits="fyyweb.biz.account.accountlist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="4" SubMenuID="41" />
        <div class="bread-nav">记账\浏览-普通列表<%if (Request["from"] == "portal")
            { %>
            &nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><%} %><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string personid = Request["personid"]; %>
        <%string planid = Request["planid"]; %>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                        <%for (var _year = DateTime.Now.Year; _year >= 2010; _year--)
                            { %>
                        <li><a href="javascript:;" selectid="<%=_year %>"><%=_year %>年</a></li>
                        <%} %>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="cleartimeline();search_account(1,1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="cleartimeline();search_account(1,1)" />
                <input name="" type="hidden" id="hiddenday" />
                <div class="fleft opbtns">
                    <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('account')" />
                    <input type="button" class="hid-btn" />
                    <div class="dropdown more-btn">
                        <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                        <div id="myDropdown0" class="dropdown-content">
                            <a href="javascript:;" onclick="topagebyhash('accounttimeline.html?personid=<%=personid %>&planid=<%=planid %>');return false;">时间轴</a>
                            <a href="javascript:;" onclick="topagebyhash('accountchart.html?personid=<%=personid %>&planid=<%=planid %>');return false;">图表分析</a>
                            <a href="accountadd.html">新 建</a>
                            <a href="accountimport.html">导 入</a>
                            <a href="javascript:;" onclick="exportevents('<%=ResolveUrl("~/handler.ashx?optype=accountexport") %>');">导 出</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table border="0" align="center" cellpadding="0" cellspacing="0" class="tbl" id="tbl">
                    <thead>
                        <tr>
                            <th height="30" class="center">编号</th>
                            <th class="center hidden">
                                <a href="#" class="common-b" onclick="javascript:sort_account(7);return false;"><span>成员</span><span class="order order-7" style="color: Red"></span></a></th>
                            <th style="text-align: right">
                                <a href="#" class="common-b" onclick="javascript:sort_account(1);return false;"><span>发生费用(元)</span><span class="order order-1" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(2);return false;"><span>发生时间</span><span class="order order-2" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(3);return false;"><span>收支分类</span><span class="order order-3" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(4);return false;"><span>余额(元)</span><span class="order order-4" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(6);return false;"><span>账本</span><span class="order order-6" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(7);return false;"><span>关联计划</span><span class="order order-7" style="color: Red"></span></a></th>
                            <th style="text-align: center">
                                <a href="#" class="common-b" onclick="javascript:sort_account(8);return false;"><span>关联人员</span><span class="order order-8" style="color: Red"></span></a></th>
                            <th>
                                <a href="#" class="common-b" onclick="javascript:sort_account(5);return false;"><span>备注</span><span class="order order-5" style="color: Red"></span></a></th>
                            <th>...</th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr class="hide">
                            <td height="30" class="tdcenter" style="min-width: 60px"></td>
                            <td class="center hidden" style="min-width: 80px"></td>
                            <td class="tdright" style="min-width: 115px"><span class="money">0.00</span></td>
                            <td class="tdcenter" style="min-width: 150px"></td>
                            <td class="tdcenter" style="min-width: 100px"></td>
                            <td class="tdcenter" style="min-width: 106px"></td>
                            <td class="tdcenter" style="min-width: 106px"></td>
                            <td class="tdcenter" style="min-width: 106px"></td>
                            <td class="tdcenter" style="min-width: 106px"></td>
                            <td class="title tdleft td-long-word" style="min-width: 150px; max-width: 500px"></td>
                            <td>
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown" class="dropdown-content op">
                                        <a href="javascript:;" class="edit">编辑</a>
                                        <a href="javascript:;" class="view">浏览</a>
                                        <a href="javascript:;" class="del">删除</a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="sz-sum">
                    <div class="fleft padright5">收入:<span class="income money"></span></div>
                    <div class="fleft padright5">支出:<span class="expense green"></span></div>
                    <div class="fleft padright5">结余:<span class="net-incom money"></span></div>
                    <div class="clear"></div>
                </div>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
        <input type="hidden" id="hiddenPERSONID" value="<%=personid %>" />
        <input type="hidden" id="hiddenPLANID" value="<%=planid %>" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:MEMBER runat="server" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                search_account_hash();
            });

            function yesDEL() {
                accountdel(dataid);
            }

            function advance_query_hnd() {
                search_account(1, 1);
            }

            function yesMem() {
                $('#txtACCMEM').val(selectnames);
                $('#hiddenACCMEM').val(selectids);
                hideMemPop();
            }
        </script>
    </form>
</body>
</html>
