﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="accountreport.aspx.cs" Inherits="fyyweb.biz.account.accountreport" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="4" SubMenuID="45" />
        <div class="bread-nav">
            记账\统计<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div>
        </div>
        <div class="right-content">
            <div class="opbtn-container">
            </div>
            <div class="form jztj-form mgt2">
                <div class="lbl fleft right">统计类型</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divtjlxselect" class="sel jh-sel fleft">
                        <cite>按月统计</cite>
                        <ul>
                            <li><a href="javascript:;" selectid="1">按月统计</a></li>
                            <li><a href="javascript:;" selectid="2">按年统计</a></li>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="1" id="hiddentjlx" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">统计年份</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divstartyearselect" class="sel jh-sel fleft">
                        <cite><%=DateTime.Now.Year %>年</cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="<%=DateTime.Now.Year %>" id="hiddenstartyear" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl2 fleft right"></div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divendyearselect" class="sel jh-sel fleft">
                        <cite>结束年份</cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddenendyear" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right"></div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="button" class="ok-btn mgl2" value="统计" onclick="accountreport()" />
                    <input type="button" class="hid-btn" />
                    <input type="button" class="ok-btn" value="导出" onclick="exportaccountreport('<%=ResolveUrl("~/handler.ashx?optype=accountreportexport") %>');" />
                    <input type="button" class="hid-btn" />
                </div>
                <div class="clear"></div>
            </div>
            <%
                Business.DicBIZ dicBIZ = new Business.DicBIZ();
                System.Collections.Generic.List<Model.Dic> incomeDicList = dicBIZ.FetchDicList("SZ", "PID=(select id from Dic where dicname='收入' and issys=1)");
                System.Collections.Generic.List<Model.Dic> expenseDicList = dicBIZ.FetchDicList("SZ", "PID=(select id from Dic where dicname='支出' and issys=1)");
            %>
            <div id="tj_table" style="overflow-x: auto;" class="tjBody">
                <table border="0" align="center" cellpadding="0" cellspacing="0" id="tbl">
                    <tr>
                        <th class="sticky-col" rowspan="2" width="100">月份</th>
                        <th rowspan="2" width="100">净收入</th>
                        <th colspan="<%=incomeDicList.Count+1 %>">收入</th>
                        <th colspan="<%=expenseDicList.Count+1 %>">支出</th>
                    </tr>
                    <tr>
                        <th>收入小计</th>
                        <%foreach (var incomeDic in incomeDicList)
                            { %>
                        <th height="30" width="150px"><%=incomeDic.DICNAME %></th>
                        <%} %>
                        <th>支出小计</th>
                        <%foreach (var expenseDic in expenseDicList)
                            { %>
                        <th height="30" width="150px"><%=expenseDic.DICNAME %></th>
                        <%} %>
                    </tr>
                    <tr class="hide">
                        <td class="sticky-col" height="30"></td>
                        <td style='color: green'></td>
                        <td style='color: green'></td>
                        <%foreach (var incomeDic in incomeDicList)
                            { %>
                        <td></td>
                        <%} %>
                        <td style='color: red'></td>
                        <%foreach (var expenseDic in expenseDicList)
                            { %>
                        <td></td>
                        <%} %>
                    </tr>
                </table>
            </div>
        </div>
        <Fyy:MEMBER runat="server" />
        <script type="text/javascript">
            $(function () {
                accountreporthash();
            });
        </script>
    </form>
</body>
</html>
