﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="accountview.aspx.cs" Inherits="fyyweb.biz.account.accountview" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="4" SubMenuID="41" Css="mobile-top" />
        <div class="bread-nav mobile-top">记账\详情<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content right-edit-content">
            <%string id = Request["ID"]; %>
            <div class="opbtn-container fixed">
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <input type="button" class="hid-btn" />
                <input type="button" id="btnfull" class="ok-btn m-hide" value="全屏" onclick="fullscreen();" />
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="编辑" onclick="topage('accountadd.html?id=<%=id%>')" />
                <input type="button" class="hid-btn" />
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹"></a>
            </div>
            <div class="height50px"></div>
            <div class="form jh-form">
                <div class="lbl fleft right">记账大类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtJZDL"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">记账小类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtJZXL"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">发生时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtFSSJ"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">发生金额(元)</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtFSJE"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">是否星标</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtStar"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">不计入收支</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtNOJRSZ"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">当前账本</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtaccbook"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">关联人员</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtGLRY"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">关联计划</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtGLJH"></div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="editor-view-container">
            </div>
            <span class="edittime"></span>
            <input type="hidden" id="hiddenID" value="<%=id %>" />
        </div>
        <Fyy:PICBOX runat="server" ID="picbox1" />
        <script type="text/javascript">
            $(function () {
                accountview(0);
            });
        </script>
    </form>
</body>
</html>
