﻿﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="diclist.aspx.cs" Inherits="fyyweb.biz.dic.diclist" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string dictype = Request["dictype"]; %>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <%if (dictype == "events")
            { %>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="34" />
        <div class="bread-nav">事件\分类<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "accounts")
            {%>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="4" SubMenuID="44" />
        <div class="bread-nav">记账\分类<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "account_book")
            {%>
        <Fyy:NAV runat="server" ID="NAV4" MenuID="4" SubMenuID="46" />
        <div class="bread-nav">记账\账本<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "doc")
            {%>
        <Fyy:NAV runat="server" ID="NAV2" MenuID="5" SubMenuID="54" />
        <div class="bread-nav">文档\分类<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "person")
            {%>
        <Fyy:NAV runat="server" ID="NAV3" MenuID="6" SubMenuID="64" />
        <div class="bread-nav">人员\分类<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "team")
            {%>
        <Fyy:NAV runat="server" ID="NAV5" MenuID="6" SubMenuID="65" />
        <div class="bread-nav">人员\团队<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%}
            else if (dictype == "plan")
            {%>
        <Fyy:NAV runat="server" ID="NAV6" MenuID="2" SubMenuID="25" />
        <div class="bread-nav">计划\分类<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%} %>
        <div class="right-content">
            <%if (dictype == "plan" || dictype == "person" || dictype == "doc" || dictype == "account_book" || dictype == "team")
                {%>
            <div class="opbtn-container rj-list-tool left">
                <div class="fleft">
                    <input type="button" class="ok-btn long" value="新建" onclick="topage('dicadd.html?dictype=<%=dictype%>')" />
                    <span id="spannotice" style='color: red'></span>
                </div>
            </div>
            <%} %>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container dic-top-<%=dictype %>">
                <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0"class="tbl treelist">
                    <thead class="hidden">
                        <tr>
                            <th>序号</th>
                            <th>标题</th>
                            <th>...</th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr id="0" class="hide">
                            <td class="tdcenter" width="50"></td>
                            <td width="200" class="tdleft pointer" height="30" istitle="1"></td>
                            <td width="150">
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown0" class="dropdown-content">
                                        <a href="javascript:;" class="addchild">添加小类</a>
                                        <a href="javascript:;" class="edit">编辑</a>
                                        <a href="javascript:;" class="del">删除</a>
                                    </div>
                                </div>
                            </td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <script type="text/javascript">
            $(function () {
                search_dic('<%=dictype%>');
            });

            function yesDEL() {
                dicdel(dataid,'<%=dictype%>');
            }
        </script>
    </form>
</body>
</html>
