﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="doctreelist.aspx.cs" Inherits="fyyweb.biz.doc.doctreelist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string planid = Request["planid"]; %>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="5" SubMenuID="51" />
        <div class="bread-nav">文档\浏览-目录<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                        <%for (var _year = 2010; _year <= DateTime.Now.Year; _year++)
                            { %>
                        <li><a href="javascript:;" selectid="<%=_year %>"><%=_year %>年</a></li>
                        <%} %>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="search_dic_doc()" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="search_dic_doc()" />
                <input type="button" class="hid-btn-12" />
                <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('doc')" />
                <input type="button" class="hid-btn" />
                <div class="dropdown more-btn">
                    <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                    <div id="myDropdown0" class="dropdown-content">
                        <a href="javascript:;" onclick="todocpage('doctimeline.html?planid=<%=planid %>');return false;">时间轴</a>
                        <a href="javascript:;" onclick="todocpage('doclist.html?planid=<%=planid %>');return false;">普通列表</a>
                        <a href="docadd.html">新 建</a>
                        <a href="docimport.html">导 入</a>
                        <a href="javascript:;" onclick="exportdoc('<%=ResolveUrl("~/handler.ashx?optype=docexport") %>');">导 出</a>
                    </div>
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl treelist">
                    <thead>
                        <tr>
                            <th style="min-width: 190px">序号</th>
                            <th height="30" class="tdleft">分类名称/文档标题</th>
                            <th>...</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr id="0" class="hide">
                            <td class="tdcenter" style="min-width: 190px">1</td>
                            <td height="30" class="title tdleft" istitle="1"><a href="javascript:;" class="common-a view"></a></td>
                            <td style="min-width: 60px">
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown" class="dropdown-content op">
                                        <a href="javascript:;" class="adddoc">新建文档</a>
                                        <a href="javascript:;" class="edit">编辑</a>
                                        <a href="javascript:;" class="del">删除</a>
                                    </div>
                                </div>
                            </td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <input type="hidden" id="hiddenPLANID" value="<%=planid %>" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                $('#divdocfwselect').addClass('hidden');
                $('#txtDOCMEM').addClass('hidden');
                search_dic_doc_hash();
            });

            function yes() {
                $('#txtWDFL').val(selectnames);
                $('#hiddenWDFL').val(selectids);
            }

            function yesDEL() {
                docdel(dataid);
            }

            function advance_query_hnd() {
                search_dic_doc();
            }
        </script>
    </form>
</body>
</html>
