﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="eventadd.aspx.cs" Inherits="fyyweb.biz.events.eventadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string xiangxian = Request["XIANGXIAN"];%>
        <%string xiangxian_id = Request["XIANGXIANID"];%>
        <%string id = Request["ID"];%>
        <%string planid = Request["planid"];
            Model.Plan plan = new Model.Plan();
            if (!string.IsNullOrEmpty(planid))
            {
                plan = (new Model.Fyy_DbContext("fyydbconn")).Plan.Fetch(Convert.ToInt32(planid));
                if (plan == null)
                {
                    plan = new Model.Plan();
                }
                else
                {
                    if (plan.USERID != Business.SessionBIZ.FetchCurrUser().ID)
                    {
                        plan = new Model.Plan();
                    }
                }
            }
        %>
        <%string from = Request["from"];%>
        <%string date = string.Empty; %>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="32" Css="mobile-top" />
        <%date = DateTime.Now.ToString("yyyy-MM-dd HH:mm"); %>
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="3" SubMenuID="31" Css="mobile-top" />
        <%} %>
        <div class="bread-nav mobile-top">
            事件\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5">
                <a class="mid" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
            </div>
        </div>
        <div class="right-content right-edit-content hidden">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('eventtimeline.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_event(this, false)" />
                <input type="button" class="hid-btn" />
                <a id="toogleA" onclick="toogle_panel_detail(this)" title="点击展开更多详细信息">
                    <img class="pointer" src="../../images/down.png" width="26" /></a>
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹">
                    </a>
                <span class="spanCharCount m-zs v-mid"></span>
                <span class="draft m-zs v-mid" onclick="showDraftBox();"></span>
            </div>
            <div class="form ev-form">
                <div class="lbl fleft right">事件大类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divsjdlselect" class="sel jh-sel fleft">
                        <cite></cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddensjdl" />
                    <input name="" type="hidden" value="" id="hiddensjdlid" />
                    <input name="" type="hidden" value="" id="hiddensjdltext" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">事件小类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divsjxlselect" class="sel jh-sel fleft">
                        <cite></cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddensjxl" />
                    <input name="" type="hidden" value="" id="hiddensjxltext" />
                    <input name="" type="hidden" value="" id="_hiddensjxl" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right" id="lblWhentime">发生时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <input type="text" id="txtFSSJ" class="datebox" placeholder="" value="<%=date %>" />
                </div>
                <div class="clear"></div>
                <div id="pannelDetail" class="hidden">
                    <div class="lbl fleft right RY">关联人员</div>
                    <div class="ctrl fleft ctrl-padding RY">
                        <input type="text" id="txtGLRY" class="txtbox tbx-jhmc" placeholder="" value="" onclick="showSelPop('person')" />
                        <input name="" type="hidden" value="" id="hiddenGLRY" />
                    </div>
                    <div class="clear RY-clear"></div>
                    <div class="lbl fleft right JH">关联计划</div>
                    <div class="ctrl fleft ctrl-padding JH">
                        <input type="text" id="txtGLJH" class="txtbox tbx-jhmc" placeholder="" value="<%=plan.PLANNAME %>" onclick="showSelPop('plan')" />
                        <input name="" type="hidden" value="<%=planid %>" id="hiddenGLJH" />
                    </div>
                    <div class="clear JH-clear"></div>
                    <div class="lbl fleft right">是否提醒</div>
                    <div class="ctrl fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxSFTX" onclick="cbxcftx_click()">
                            <div class="slider"></div>
                        </label>
                    </div>
                    <div class="m-clear"></div>
                    <div class="tixing lbl fleft right hidden">提醒重复类型</div>
                    <div class="tixing ctrl fleft ctrl-padding hidden">
                        <div id="divcflxselect" class="sel jh-sel fleft">
                            <cite></cite>
                            <ul>
                            </ul>
                        </div>
                        <input name="" type="hidden" value="" id="hiddencflx" onchange="showcflxsel()" />
                        <input name="" type="hidden" value="" id="hiddencflxtext" />
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden">选择时段</div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="0" />0时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="1" />1时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="2" />2时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="3" />3时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden"></div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="4" />4时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="5" />5时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="6" />6时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="7" />7时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden"></div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="8" />8时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="9" />9时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="10" />10时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="11" />11时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden"></div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="12" />12时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="13" />13时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="14" />14时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="15" />15时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden"></div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="16" />16时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="17" />17时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="18" />18时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="19" />19时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-time lbl fleft right hidden"></div>
                    <div class="tixing sel-time l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="20" />20时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="21" />21时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="22" />22时
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="23" />23时
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-weakday lbl fleft right hidden">选择周几</div>
                    <div class="tixing sel-weakday l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="1" />周一
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="2" />周二
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="3" />周三
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="4" />周四
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-weakday lbl fleft right hidden"></div>
                    <div class="tixing sel-weakday l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="5" />周五
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="6" />周六
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="7" />周日
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day  lbl fleft right hidden">选择几号</div>
                    <div class="tixing sel-day  l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="1" />1号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="2" />2号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="3" />3号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="4" />4号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="5" />5号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="6" />6号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="7" />7号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="8" />8号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="9" />9号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="10" />10号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="11" />11号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="12" />12号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="13" />13号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="14" />14号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="15" />15号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="16" />16号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="17" />17号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="18" />18号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="19" />19号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="20" />20号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="21" />21号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="22" />22号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="23" />23号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="24" />24号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="25" />25号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="26" />26号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="27" />27号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="28" />28号
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="tixing sel-day lbl fleft right hidden"></div>
                    <div class="tixing sel-day l-ctrl fleft ctrl-padding mid hidden">
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="29" />29号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="30" />30号
                        </div>
                        <div class="fleft sel-cbx mid">
                            <input type="checkbox" value="31" />31号
                        </div>
                    </div>
                    <input name="" type="hidden" value="" id="hiddencfsel" />
                    <div class="clear"></div>
                    <div class="tixing lbl fleft right hidden">提醒开始时间</div>
                    <div class="tixing ctrl fleft ctrl-padding hidden">
                        <input type="text" id="txtTXKSSJ" readonly="readonly" class="txtbox" placeholder="" value="" />
                    </div>
                    <div class="m-clear"></div>
                    <div class="tixing lbl fleft right hidden">提醒结束时间</div>
                    <div class="tixing ctrl fleft ctrl-padding hidden">
                        <input type="text" id="txtTXJSSJ" class="datebox" placeholder="" value="" />
                        <a class="common-b" href="javascript:;" onclick="cleardatebox('txtTXJSSJ')">清空</a>
                    </div>
                    <div class="clear"></div>
                    <div class="lbl fleft right">星标事件</div>
                    <div class="height38 fleft ctrl-padding mid">
                        <label class="switch" style="display: block">
                            <input type="checkbox" id="cbxStar" onclick="cbxcftx_click()">
                            <div class="slider"></div>
                        </label>
                        <a href="javascript:;" class="set-auth v-mid" style="display: inline-block" onclick="showAuthPop('events');" title="设置成员读写权限">
                            <img class="pointer" src="../../images/private.png" width="26" /><span class="auth">仅自己可见</span>
                        </a>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
            <div class="to-more height26">
                <div class="fright">
                    <span class="more">>></span>
                    <a href="#" class="common-b more-btn" onclick="tooglepanel(this);return false;">更多...</a>
                </div>
                <div class="clear"></div>
            </div>
            <div id="editorcontainer" class="editor-container mobile-events-editor mobile-simple-editor m-hide">
                <Fyy:EDITOR runat="server" ID="editorRJ" BIZID="3" />
                <input type="hidden" id="pagetype" value="3" />
            </div>
        </div>
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:AUTHORITY runat="server" ID="authority1" />
        <input type="hidden" id="hiddenXIANGXIAN" value="<%=xiangxian %>" />
        <input type="hidden" id="hiddenXIANGXIANID" value="<%=xiangxian_id %>" />
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <input type="hidden" id="hiddenAffixGuid" value="_<%=Guid.NewGuid().ToString() %>" />
        <script type="text/javascript">
            $(function () {
                var diycode = '<%=Business.SessionBIZ.FetchCurrUser().DIYCODE%>';
                if (diycode.length < 66) {
                    return;
                }

                var val = diycode.charAt(5);
                if (val == '0') {
                    $('.RY').hide();
                    $('.RY-clear').hide();
                    $('.auth').remove();
                    $('.auth-setting').remove();
                }
                val = diycode.charAt(1);
                if (val == '0') {
                    $('.JH').hide();
                    $('.JH-clear').hide();
                }
                eventview(1);
            });

            function yes() {
                if (datatype == 'plan') {
                    if (selectids != '' && selectnames != '') {
                        $('#txtGLJH').val(selectnames);
                    }

                    $('#hiddenGLJH').val(selectids);
                } else {
                    if (selectids != '' && selectnames != '') {
                        $('#txtGLRY').val(selectnames);
                    }

                    $('#hiddenGLRY').val(selectids);
                }

                hidePop();
            }
        </script>
    </form>
</body>
</html>
