﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="eventgrid.aspx.cs" Inherits="fyyweb.biz.events.eventgrid" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="3" SubMenuID="31" />
        <div class="bread-nav">事件\浏览-看板<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <%string year = Request["year"]; %>
        <%string month = Request["month"]; %>
        <%string day = Request["day"]; %>
        <%string xiangxian = Request["xiangxian"]; %>
        <%string personid = Request["personid"]; %>
        <%string planid = Request["planid"]; %>
        <div class="right-content">
            <div class="opbtn-container rj-tool xiangxian-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">年份</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=year %>" id="hiddenyear" onchange="clear_xiangxian_event();search_xiangxian_event(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="javascript:;" selectid="">月份</a></li>
                        <li><a href="javascript:;" selectid="1">1月</a></li>
                        <li><a href="javascript:;" selectid="2">2月</a></li>
                        <li><a href="javascript:;" selectid="3">3月</a></li>
                        <li><a href="javascript:;" selectid="4">4月</a></li>
                        <li><a href="javascript:;" selectid="5">5月</a></li>
                        <li><a href="javascript:;" selectid="6">6月</a></li>
                        <li><a href="javascript:;" selectid="7">7月</a></li>
                        <li><a href="javascript:;" selectid="8">8月</a></li>
                        <li><a href="javascript:;" selectid="9">9月</a></li>
                        <li><a href="javascript:;" selectid="10">10月</a></li>
                        <li><a href="javascript:;" selectid="11">11月</a></li>
                        <li><a href="javascript:;" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="<%=month %>" id="hiddenmonth" onchange="clear_xiangxian_event();search_xiangxian_event(1)" />
                <input type="button" class="hid-btn-12" />
                <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('events')" />
                <input type="button" class="hid-btn" />
                <div class="dropdown more-btn">
                    <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                    <div id="myDropdown0" class="dropdown-content">
                        <a href="javascript:;" onclick="topagebyhash('eventlist.html?personid=<%=personid %>&planid=<%=planid %>');return false;">普通列表</a>
                        <a href="javascript:;" onclick="topagebyhash('eventtimeline.html?personid=<%=personid %>&planid=<%=planid %>');return false;">时间轴</a>
                        <a href="javascript:;" onclick="topage('eventcld.html');return false;">日历</a>
                        <a href="eventadd.html">新 建</a>
                        <a href="eventimport.html">导 入</a>
                        <a href="javascript:;" onclick="exportevents('<%=ResolveUrl("~/handler.ashx?optype=eventsexport") %>');">导 出</a>
                    </div>
                </div>
            </div>
            <%
                Business.DicBIZ dicBIZ = new Business.DicBIZ();
                System.Collections.Generic.List<Model.Dic> diclist = dicBIZ.FetchDicList("SJ", "PID=0");
            %>
            <div class="xiangxian-container hidden">
                <%for (var i = 0; i < diclist.Count; i++)
                    {%>
                <div class="fleft sj-xiangxian-<%=diclist[i].DICCODE %> <%if ((i + 1) % 2 == 0)
                    { %> sj-xiangxian-os <%if ((i + 1 + 2) > diclist.Count)
                    {%> sj-xiangxian-os-last<%} %><%}
                    else
                    { %> sj-xiangxian-js<%if ((i + 1 + 1) > diclist.Count)
                    {%> sj-xiangxian-js-last<%} %><%} %> sj-xiangxian">
                    <div class="xiangxian">
                        <div class="fleft lpad kanban mid"><img /><%=diclist[i].DICNAME %></div>
                        <div class="fright rpad"><a class="common-b quick-add mid" href="eventadd.aspx?xiangxian=<%=diclist[i].DICCODE %>&xiangxianid=<%=diclist[i].ID %>"><img />新建</a></div>
                        <div class="clear"></div>
                    </div>
                    <div class="item hide">
                        <div class="fleft title"><a class="common-b cview"></a></div>
                        <div class="fleft time"></div>
                        <div class="fleft op">
                        </div>
                        <div class="clear"></div>
                    </div>
                    <div class="pannel-pager-nav"><span></span><a class="common-a"></a></div>
                </div>
                <%if ((i + 1) % 2 == 0)
                    {%>
                <div class="clear"></div>
                <%} %>
                <%} %>
            </div>
        </div>
        <div class="loading-container">
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
            <div class="loading"></div>
        </div>
        <input type="hidden" id="hiddenDAY" value="<%=day %>" />
        <input type="hidden" id="hiddenXIANGXIAN" value="<%=xiangxian %>" />
        <input type="hidden" id="hiddenPERSONID" value="<%=personid %>" />
        <input type="hidden" id="hiddenPLANID" value="<%=planid %>" />
        <Fyy:QUERY runat="server" ID="query1" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <script type="text/javascript">
            $(function () {
                $('#divsjfwselect').addClass('hidden');
                $('#txtSJMEM').addClass('hidden');
                search_xiangxian_event_hash();
            });

            function yes() {
                eventdel(dataid);
            }

            function advance_query_hnd() {
                clear_xiangxian_event();
                search_xiangxian_event(1);
            }
        </script>
    </form>
</body>
</html>
