﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="personadd.aspx.cs" Inherits="fyyweb.biz.person.personadd" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link href="../../js/datetimepicker/jquery.datetimepicker.css" rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/datetimepicker/jquery.datetimepicker.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <%string id = Request["ID"];%>
        <%string from = Request["from"];%>
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <%if (string.IsNullOrEmpty(id))
            {%>
        <Fyy:NAV runat="server" ID="leftnav" MenuID="6" SubMenuID="62" />
        <%}
            else
            { %>
        <Fyy:NAV runat="server" ID="NAV1" MenuID="6" SubMenuID="61" />
        <%} %>
        <div class="bread-nav mobile-top">人员\<%=string.IsNullOrEmpty(id)?"新建":"编辑" %><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content right-edit-content">
            <div class="opbtn-container">
                <%if (from == "portal")
                    {%>
                <input type="button" class="ret-btn" value="返回" onclick="topage('personlist.html');" />
                <%}
                    else
                    { %>
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <%} %>
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn long" value="保存并新建" onclick="submit_person(this, true)" />
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="保存" onclick="submit_person(this, false)" />
                <input type="button" class="hid-btn" />
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹"></a>
            </div>
            <div class="form jh-form">
                <div class="lbl fleft right">姓名</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtXM" type="text" class="txtbox" placeholder="" value="" autocomplete="off" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">性别</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divxbselect" class="sel jh-sel fleft">
                        <cite></cite>
                        <ul>
                            <li><a href="javascript:;" selectid="1">男</a></li>
                            <li><a href="javascript:;" selectid="0">女</a></li>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddenxb" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">用户ID</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtYHID" type="text" class="txtbox" placeholder="" value="" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">用户昵称</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtYHMC" type="text" class="txtbox" readonly="readonly" placeholder="" value="" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">手机号</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtSJH" type="text" class="txtbox" placeholder="" value="" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">邮箱</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtYX" type="text" class="txtbox" placeholder="" value="" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">人员分类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div id="divryflselect" class="sel jh-sel fleft">
                        <cite></cite>
                        <ul>
                        </ul>
                    </div>
                    <input name="" type="hidden" value="" id="hiddenryfl" />
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">生日</div>
                <div class="ctrl fleft ctrl-padding">
                    <input id="txtSR" type="text" class="datebox" placeholder="" value="" />
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">个人简介</div>
                <div class="ctrl fleft ctrl-padding no-height">
                    <textarea id="txtDESC" class="txtbox tbx-jhmc" rows="10"></textarea>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">星标人员</div>
                <div class="height38 fleft ctrl-padding mid">
                    <label class="switch" style="display: block">
                        <input type="checkbox" id="cbxStar">
                        <div class="slider"></div>
                    </label>
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <input type="hidden" id="hiddenID" value="<%=id %>" />
        <script type="text/javascript">
            $(".datebox").datetimepicker({ format: 'Y-m-d', timepicker: false });
            $(function () {
                personview(1);
            });
        </script>
    </form>
</body>
</html>
