﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="personlist.aspx.cs" Inherits="fyyweb.biz.person.personlist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="6" SubMenuID="61" />
        <div class="bread-nav">人员\浏览<%if (Request["from"] == "portal") { %>
            &nbsp;<a class="common-a" href="javascript:;" onclick="history.go(-1);");">返回上一页</a><%} %><div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div id="divyearselect" class="sel year-sel fleft">
                    <cite>年份</cite>
                    <ul>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenyear" onchange="search_person(1)" />
                <div id="divmonthselect" class="sel month-sel fleft">
                    <cite>月份</cite>
                    <ul>
                        <li><a href="#" selectid="1">1月</a></li>
                        <li><a href="#" selectid="2">2月</a></li>
                        <li><a href="#" selectid="3">3月</a></li>
                        <li><a href="#" selectid="4">4月</a></li>
                        <li><a href="#" selectid="5">5月</a></li>
                        <li><a href="#" selectid="6">6月</a></li>
                        <li><a href="#" selectid="7">7月</a></li>
                        <li><a href="#" selectid="8">8月</a></li>
                        <li><a href="#" selectid="9">9月</a></li>
                        <li><a href="#" selectid="10">10月</a></li>
                        <li><a href="#" selectid="11">11月</a></li>
                        <li><a href="#" selectid="12">12月</a></li>
                    </ul>
                </div>
                <input name="" type="hidden" value="" id="hiddenmonth" onchange="search_person(1)" />
                <div class="fleft opbtns">
                    <input type="button" class="ok-btn long" value="高级查询" onclick="queryshowPop('person')" />
                    <input type="button" class="hid-btn" />
                    <div class="dropdown more-btn">
                        <input type="button" name="linkop" class="ok-btn more-btn" value="更多..." onclick="toggledropdown(0); return false;" />
                        <div id="myDropdown0" class="dropdown-content">
                            <a href="teamtreelist.html">团队树</a>
                            <a href="personadd.html">新 建</a>
                            <a href="personimport.html">导 入</a>
                            <a href="javascript:;" onclick="exportperson('<%=ResolveUrl("~/handler.ashx?optype=personexport") %>');">导 出</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table border="0" align="center" cellpadding="0" cellspacing="0" class="tbl" id="tbl">
                    <thead>
                        <tr>
                            <th height="30" class="center">序号</th>
                            <th><a href="#" class="common-b" onclick="javascript:sort_person(1);return false;"><span>姓名</span><span class="order order-1" style="color: Red"></span></a></th>
                            <th><a href="#" class="common-b" onclick="javascript:sort_person(5);return false;"><span>人员状态</span><span class="order order-5" style="color: Red"></span></a></th>
                            <th>...</th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr class="hide">
                            <td height="30" class="tdcenter" style="min-width: 60px"></td>
                            <td class="tdleft" title="" style="min-width: 100px"></td>
                            <td class="tdcenter" style="min-width: 100px"></td>
                            <td style="min-width: 60px">
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown" class="dropdown-content op">
                                        <a href="javascript:;" class="edit">编辑</a>
                                        <a href="javascript:;" class="view">浏览</a>
                                        <a href="javascript:;" class="del">删除</a>
                                        <a href="javascript:;" class="join">加为好友</a>
                                        <a href="javascript:;" class="viewevent">关联事件</a>
                                        <a href="javascript:;" class="viewaccount">关联记账</a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class='pager-nav' id='pagerLink1'></div>
            </div>
        </div>
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                search_person_hash(1);
            });

            function yesDEL() {
                persondel(dataid);
            }

            function advance_query_hnd() {
                search_person(1, 1);
            }
        </script>
    </form>
</body>
</html>
