﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="planimport.aspx.cs" Inherits="fyyweb.biz.plan.planimport" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="2" SubMenuID="23" />
        <%string pid = Request["PID"];%>
        <%  
            string url = ResolveUrl("~/handler.ashx?optype=planimport");
            string importtitle = string.Empty;
            if (!string.IsNullOrEmpty(pid))
            {
                if (!Futil.ValidateHelper.IsInt(pid))
                {
                    Response.Write("pid参数无效！");
                    Response.End();
                    return;
                }

                Business.PlanBIZ planBIZ = new Business.PlanBIZ();
                Model.Plan plan = planBIZ.FetchPlan(Convert.ToInt32(pid));
                if (plan == null)
                {
                    Response.Write("未找到计划！");
                    Response.End();
                    return;
                }

                importtitle = "&nbsp;导入计划“" + plan.PLANNAME + "”的任务";
                url = ResolveUrl("~/handler.ashx?optype=planimport") + "&pid=" + pid;
            }
        %>
        <div class="bread-nav">计划\导入<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content right-import-content">
            <div class="fileup-container">
                <%=importtitle %>
                <input type="text" class="filebox" placeholder="点击选择要导入的文件！" onclick="importdata('<%=url %>')" />
                <div><a class="common-a" target="_blank" href="/affix/template/计划模板.xlsx">下载导入模板</a></div>
            </div>
        </div>
        <input id="myFile" type="file" name="myFile" />
        <input type="hidden" id="hiddenPID" value="<%=pid %>" />
    </form>
</body>
</html>
