﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="planview.aspx.cs" Inherits="fyyweb.biz.plan.planview" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../css/media.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <link <%="href=\"../../js/editor/Styles/Style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" Css="mobile-top" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="2" SubMenuID="21" />
        <div class="bread-nav mobile-top">计划\详情<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content right-edit-content">
            <%string id = Request["ID"]; %>
            <%string guid = Request["GUID"]; %>
            <%if (string.IsNullOrEmpty(id) && !string.IsNullOrEmpty(guid))
                {%>
            <%
                Business.PlanBIZ planBIZ = new Business.PlanBIZ();
                Model.Plan plan = planBIZ.FetchPlanByGUID(guid);
                if (plan == null)
                {
                    id = "-1";
                }
                else
                {
                    id = plan.ID.ToString();
                }
            %>
            <%} %>
            <div class="opbtn-container fixed">
                <input type="button" class="ret-btn" value="返回" onclick="history.go(-1);" />
                <input type="button" class="hid-btn" />
                <input type="button" id="btnfull" class="ok-btn m-hide" value="全屏" onclick="fullscreen();" />
                <input type="button" class="hid-btn" />
                <input type="button" class="ok-btn" value="编辑" onclick="topage('planadd.html?id=<%=id%>')" />
                <input type="button" class="hid-btn" />
                <a class="mshow" onclick="showSelHisotryPop()" title="访问足迹"></a>
            </div>
            <div class="height50px"></div>
            <div class="form jh-form">
                <div class="lbl fleft right">计划名称</div>
                <div class="l-ctrl fleft ctrl-padding">
                    <div class="l-lbl-val tbx-jhmc" id="txtJHMC"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">是否提醒</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSFTX"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">星标计划</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtStar"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">计划开始时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtJHKSSJ"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">计划结束时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtJHJSSJ"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">实际开始时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSJKSSJ"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">实际结束时间</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSJJSSJ"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">计划分类</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="JHFL"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">优先级别</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="YXJ"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">计划状态</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="JHZT"></div>
                </div>
                <div class="m-clear"></div>
                <div class="lbl fleft right">工时(分钟)</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val" id="txtSJGS"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">执行人</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val tbx-jhmc" id="txtZXR"></div>
                </div>
                <div class="clear"></div>
                <div class="lbl fleft right">参与人</div>
                <div class="ctrl fleft ctrl-padding">
                    <div class="lbl-val tbx-jhmc" id="txtCYR"></div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
            <div class="editor-view-container">
            </div>
            <span class="edittime"></span>
            <input type="hidden" id="hiddenID" value="<%=id %>" />
        </div>
        <Fyy:PICBOX runat="server" ID="picbox1" />
        <script type="text/javascript">
            $(function () {
                planview(0);
            });
        </script>
    </form>
</body>
</html>
