﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="teamtreelist.aspx.cs" Inherits="fyyweb.biz.person.teamtreelist" %>

<!DOCTYPE html>

<html>
<head runat="server">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><%=Business.SettingBIZ.SiteTitle %></title>
    <link rel="shortcut icon" href="../../images/favicon.ico" />
    <link <%="href=\"../../css/style.css?v="+Business.SettingBIZ._JsVer+"\"" %> rel="stylesheet" />
    <script src="../../js/jquery.js"></script>
    <script src="../../js/hashquery.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/treeTable/jquery.treeTable.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/op.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
    <script src="../../js/sort.js?v=<%=Business.SettingBIZ._JsVer %>"></script>
</head>
<body>
    <form id="form1" runat="server">
        <Fyy:TOP runat="server" ID="topnav" MenuId="99" />
        <Fyy:NAV runat="server" ID="leftnav" MenuID="6" SubMenuID="61" />
        <div class="bread-nav">人员\浏览<div class="fright v-mid padright5"><a class="mid" onclick="showSelHisotryPop()" title="访问足迹"></a></div></div>
        <div class="right-content">
            <div class="opbtn-container rj-list-tool left">
                <div class="fleft opbtns">
                    <input type="text" id="txtkey" class="txtbox line-textbox" style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" placeholder="输入关键字查询" value="" autocomplete="off" />
                    <input type="button" class="hid-btn" />
                    <div class="dropdown more-btn">
                        <input type="button" name="linkop" class="ok-btn long" value="更多..." onclick="toggledropdown(0); return false;" />
                        <div id="myDropdown0" class="dropdown-content">
                            <a href="personlist.html">普通列表</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="loading-container">
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
                <div class="loading"></div>
            </div>
            <div class="table-container">
                <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl treelist">
                    <thead>
                        <tr>
                            <th width="190">序号</th>
                            <th height="30" class="tdleft">团队名称/人员名称</th>
                            <th>...</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_body" class="hidden">
                        <tr id="0" class="hide">
                            <td class="tdcenter" style="min-width: 190px">1</td>
                            <td height="30" class="title tdleft" istitle="1"><a href="javascript:;" class="common-a view"></a></td>
                            <td style="min-width: 60px">
                                <div class="dropdown">
                                    <a name="linkop" href="#" class="link-op">...</a>
                                    <div id="myDropdown" class="dropdown-content op">
                                        <a href="javascript:;" class="addmember">添加成员</a>
                                        <a href="javascript:;" class="del">移除</a>
                                    </div>
                                </div>
                            </td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <Fyy:SELBOX runat="server" ID="selbox1" />
        <Fyy:DELBOX runat="server" ID="delbox1" />
        <Fyy:QUERY runat="server" ID="query1" />
        <input type="hidden" id="hiddenOrderBy" value="" />
        <input type="hidden" id="hiddenOrderType" value="" />
        <script type="text/javascript">
            var list_type = 0;
            $(function () {
                $("#txtkey").bind('input', {}, function (event) {
                    search_team_tree();
                });

                search_team_tree_hash();
            });

            function yes() {
                if (op_type == 1) {
                    add_team_member();
                }
            }

            function yesDEL() {
                del_team_member();
            }

            function advance_query_hnd() {
                search_team_tree();
            }
        </script>
    </form>
</body>
</html>
