﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AUTHORITY.ascx.cs" Inherits="fyyweb.uc.AUTHORITY" %>
<div id="div-auth-popup" class="div-popup div-auth-popup">
    <div class="title">访问授权</div>
    <div class="close">
        <a href="javascript:cancelPop();" title="关闭">
            <img src="../../images/close.png" /></a>
    </div>
    <div class="div-popup-form div-auth-popup-form">
        <div id="search" class="search" style="padding-left: 2px">
            <div id="divauthtypeselect" class="sel jh-sel auth-type fleft">
                <cite style="height: 25px; line-height: 25px">私有</cite>
                <ul>
                    <li><a href="javascript:;" selectid="1">私有</a></li>
                    <li><a href="javascript:;" selectid="2">全部成员只读</a></li>
                    <li><a href="javascript:;" selectid="3">全部成员可编辑</a></li>
                    <li><a href="javascript:;" selectid="4">指定成员权限</a></li>
                </ul>
            </div>
            <input name="" type="hidden" value="1" id="hiddenauthtype" />
            <input type="text" id="txtkey" class="txtbox" style="width: 150px; margin-left: 2px; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" placeholder="按成员名称查询" value="" autocomplete="off" />

        </div>
        <div id="treecontent" class="content">
            <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl treelist">
                <tr id="0" class="hide">
                    <td class="tdcenter" style="min-width: 30px">1</td>
                    <td style="min-width: 150px" height="30" class="tdleft" istitle="1"></td>
                    <td style="width: 80px">
                        <input type="checkbox" class="auth-r-cbx" />只读
                        <input type="checkbox" class="auth-e-cbx" />编辑
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div class="auth-btn">
        <input type="button" class="ok-btn" value="确定" onclick="yesAuth();" />
        <input type="button" class="hid-btn" />
        <input type="button" class="ret-btn" value="取消" onclick="cancelPop()" />
        <input type="checkbox" class="auth-d-cbx" />设为默认授权
    </div>
</div>
<div id="div-popup-shade" class="div-popup-shade"></div>
<script type="text/javascript">
    var auth_popup = document.getElementById('div-auth-popup');
    var shade = document.getElementById('div-popup-shade');
    var datatype = '';
    $(function () {
        $(".div-auth-popup #txtkey").bind('input', {}, function (event) {
            fetch_team_intobox();
        });
    });

    function showAuthPop(_datatype) {
        auth_popup.style.display = "block";
        shade.style.display = "block";
        datatype = _datatype;
        selectids = '';
        selectnames = '';
        $('#txtkey').val('');
        fetch_team_intobox();
    }

    function hideAuthPop() {
        auth_popup.style.display = "none";
        shade.style.display = "none";
        datatype = '';
        old_auth_list = auth_list.slice(0, auth_list.length);
    }

    function cancelPop() {
        auth_popup.style.display = "none";
        shade.style.display = "none";
        datatype = '';
        auth_list = old_auth_list.slice(0, old_auth_list.length);
    }
</script>
