﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EDITOR.ascx.cs" Inherits="fyyweb.uc.EDITOR" %>
<div class="tool-container mobile-simple-tool-container">
    <ul class="toolbar">
        <li class="tool btn default" onclick="onEffect2('undo')"><span class="cx" onclick="onEffect2('undo');return false;" title="撤销"></span></li>
        <li class="tool btn default" onclick="onEffect2('redo')"><span class="cz" onclick="onEffect2('redo');return false;" title="重做"></span></li>
        <li class="tool btn Bold default" onclick="onEffect('Bold')"><span class="jc" onclick="onEffect('Bold');return false;" title="粗体"></span></li>
        <li class="tool btn italic hidden" onclick="onEffect('italic')"><span class="qx" onclick="onEffect('italic');return false;" title="倾斜"></span></li>
        <li class="tool btn underline hidden" onclick="onEffect('underline')"><span class="xhx" onclick="onEffect('underline');return false;" title="下划线"></span></li>
        <li class="tool btn strikethrough default" onclick="onEffect('strikethrough')"><span class="shx" onclick="onEffect('strikethrough');return false;" title="上划线"></span></li>
        <li class="tool btn justifyLeft dq hidden" onclick="onEffect('justifyLeft')"><span class="ydq" onclick="onEffect('justifyLeft');return false;" title="左对齐"></span></li>
        <li class="tool btn justifyCenter dq hidden" onclick="onEffect('justifyCenter')"><span class="jzdq" onclick="onEffect('justifyCenter');return false;" title="居中对齐"></span></li>
        <li class="tool btn justifyRight dq hidden" onclick="onEffect('justifyRight')"><span class="zdq" onclick="onEffect('justifyRight');return false;" title="右对齐"></span></li>
        <li class="tool btn Select hidden" onclick="onSelect()"><span class="xz" onclick="onSelect();return false;" title="选择"></span></li>
        <li class="tool btn Painter hidden" onclick="onPaint()"><span class="gss" onclick="onPaint();return false;" title="格式刷"></span></li>
        <li class="tool btn li-txsc hidden" onclick="upload(0)"><span class="tx" onclick="upload(0)" title="图像上传"></span></li>
        <li class="tool btn upfile li-wjsc hidden" onclick="upload(1)"><span class="wjsc" onclick="upload(1)" title="文件上传"></span></li>
        <li class="tool btn hidden" onclick="exportdocx()"><span class="docx" onclick="exportdocx();return false;" title="导出为WORD"></span></li>
        <li class="tool btn hidden" onclick="exportpdf()"><span class="pdf" onclick="exportpdf();return false;" title="导出为PDF"></span></li>
        <li class="tool btn colors default" onclick="showColors();"><span class="ztys" onclick="showColors();" title="字体颜色"></span></li>
        <li class="tool btn bkcolors hidden" onclick="showbkColors()"><span class="gl" onclick="showbkColors();" title="文本背景色"></span></li>
        <li class="tool btn faces hidden" onclick="showFaces()"><span class="bq" onclick="showFaces()" title="表情"></span></li>
        <li class="tool btn orderlist hidden" onclick="onEffect('InsertOrderedList')"><span class="yxlb" onclick="onEffect('InsertOrderedList');return false;" title="有序列表"></span></li>
        <li class="tool li-zt hidden" style="padding-top: 0px">
            <div id="divfamilyselect" class="sel family-sel fleft">
                <cite>宋体</cite>
                <ul>
                    <li><a href="javascript:;" selectid="宋体">宋体</a></li>
                    <li><a href="javascript:;" selectid="微软雅黑">微软雅黑</a></li>
                    <li><a href="javascript:;" selectid="幼圆">幼圆</a></li>
                    <li><a href="javascript:;" selectid="楷体">楷体</a></li>
                    <li><a href="javascript:;" selectid="方正舒体">方正舒体</a></li>
                    <li><a href="javascript:;" selectid="黑体">黑体</a></li>
                    <li><a href="javascript:;" selectid="华文彩云">华文彩云</a></li>
                </ul>
            </div>
            <input name="" type="hidden" value="宋体" id="hiddenfamily" onchange="family(this)" />
        </li>
        <li class="tool li-zh hidden" style="padding-top: 0px">
            <div id="divsizeselect" class="sel size-sel fleft">
                <cite>12</cite>
                <ul>
                    <li><a href="javascript:;" selectid="1">8</a></li>
                    <li><a href="javascript:;" selectid="2">10</a></li>
                    <li><a href="javascript:;" selectid="3">12</a></li>
                    <li><a href="javascript:;" selectid="4">16</a></li>
                    <li><a href="javascript:;" selectid="5">18</a></li>
                    <li><a href="javascript:;" selectid="6">25</a></li>
                    <li><a href="javascript:;" selectid="7">36</a></li>
                </ul>
            </div>
            <input name="" type="hidden" value="" id="hiddensize" onchange="sized(this)" />
        </li>
        <li class="tool btn hidden DraftBox" onclick="showDraftBox()"><span class="cgx" onclick="showDraftBox();return false;" title="草稿箱"></span></li>
        <li class="tool btn FullScreen default" onclick="onFullScreen()"><span class="qp" onclick="onFullScreen();return false;" title="全屏"></span></li>
        <li class="tool btn more default" onclick="showMore()"><span class="gd" onclick="showMore();return false;" title="更多"></span></li>
        <li class="charcount li-cc"><span class="spanCharCount"></span>&nbsp;<span class="draft pointer" onclick="showDraftBox();"></span></li>
    </ul>
</div>

<!-- 文本颜色框 -->
<table id="color">
    <tr>
        <td>
            <div class="box-item c-d81e06">
                <a href="#">
                    <img class="color1" onclick="choose_color('#d81e06',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-f4ea2a">
                <a href="#">
                    <img class="color2" onclick="choose_color('#f4ea2a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-1afa29">
                <a href="#">
                    <img class="color3" onclick="choose_color('#1afa29',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-1296db">
                <a href="#">
                    <img class="color4" onclick="choose_color('#1296db',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-13227a">
                <a href="#">
                    <img class="color5" onclick="choose_color('#13227a',this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item c-d4237a">
                <a href="#">
                    <img class="color6" onclick="choose_color('#d4237a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-ffffff">
                <a href="#">
                    <img class="color7" onclick="choose_color('#ffffff',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-e6e6e6">
                <a href="#">
                    <img class="color8" onclick="choose_color('#e6e6e6',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-dbdbdb">
                <a href="#">
                    <img class="color9" onclick="choose_color('#dbdbdb',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-cdcdcd">
                <a href="#">
                    <img class="color10" onclick="choose_color('#cdcdcd',this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item c-bfbfbf">
                <a href="#">
                    <img class="color11" onclick="choose_color('#bfbfbf',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-8a8a8a">
                <a href="#">
                    <img class="color12" onclick="choose_color('#8a8a8a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-707070">
                <a href="#">
                    <img class="color13" onclick="choose_color('#707070',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-515151">
                <a href="#">
                    <img class="color14" onclick="choose_color('#515151',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item c-2c2c2c">
                <a href="#">
                    <img class="color15" onclick="choose_color('#2c2c2c',this);return false;"></a>
            </div>
        </td>
    </tr>
</table>

<!-- 文本颜色框 -->
<table id="bkcolor">
    <tr>
        <td>
            <div class="box-item b-d81e06">
                <a href="#">
                    <img class="color1" onclick="choose_bkcolor('#d81e06',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-f4ea2a">
                <a href="#">
                    <img class="color2" onclick="choose_bkcolor('#f4ea2a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-1afa29">
                <a href="#">
                    <img class="color3" onclick="choose_bkcolor('#1afa29',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-1296db">
                <a href="#">
                    <img class="color4" onclick="choose_bkcolor('#1296db',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-13227a">
                <a href="#">
                    <img class="color5" onclick="choose_bkcolor('#13227a',this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item b-d4237a">
                <a href="#">
                    <img class="color6" onclick="choose_bkcolor('#d4237a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-ffffff">
                <a href="#">
                    <img class="color7" onclick="choose_bkcolor('#ffffff',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-e6e6e6">
                <a href="#">
                    <img class="color8" onclick="choose_bkcolor('#e6e6e6',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-dbdbdb">
                <a href="#">
                    <img class="color9" onclick="choose_bkcolor('#dbdbdb',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-cdcdcd">
                <a href="#">
                    <img class="color10" onclick="choose_bkcolor('#cdcdcd',this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item b-bfbfbf">
                <a href="#">
                    <img class="color11" onclick="choose_bkcolor('#bfbfbf',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-8a8a8a">
                <a href="#">
                    <img class="color12" onclick="choose_bkcolor('#8a8a8a',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-707070">
                <a href="#">
                    <img class="color13" onclick="choose_bkcolor('#707070',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-515151">
                <a href="#">
                    <img class="color14" onclick="choose_bkcolor('#515151',this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item b-2c2c2c">
                <a href="#">
                    <img class="color15" onclick="choose_bkcolor('#2c2c2c',this);return false;"></a>
            </div>
        </td>
    </tr>
</table>

<!-- 表情框 -->
<table id="face">
    <tr>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-1.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-2.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-3.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-4.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>

        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-1.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-2.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-3.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-4.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-21.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-5.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-6.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-7.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-8.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>

        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-5.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-6.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-7.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-8.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-22.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-9.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-10.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-11.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-12.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>

        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-19.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-10.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-11.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-12.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-23.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-13.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-14.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-15.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-16.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>

        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-13.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-14.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-15.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-16.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-24.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-17.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-18.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-19.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/sf-20.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>

        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-17.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-18.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-19.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-20.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
        <td>
            <div class="box-item">
                <a href="#">
                    <img src="/js/editor/styles/IMG/zf-25.png" onclick="insertFace(this);return false;"></a>
            </div>
        </td>
    </tr>
</table>
<!-- 编辑区 -->
<iframe src="" frameborder="0" allowtransparency="false" hspeace="0" vspace="0" frameborder="0" class="editor" id="editor" style="margin: 0px; padding: 0px; display: block;"></iframe>
<form id="forms" name="forms" method="post" enctype="multipart/form-data">
    <input id="myFile" type="file" name="myFile" style="display: none;" />
</form>
<input type="hidden" id="hidden_enable_draft" value="<%=ENABLE_DRAFT %>" />
<script type="text/javascript">
    var siteurl = '<%=Futil.HttpHelper.GetHostUrl()%>';
    var mapurl ='<%=ResolveUrl("~/") %>';
    var upload_url = '<%=ResolveUrl("~/handler.ashx?optype=upload") %>';
    var upload_ok_url = '<%=ResolveUrl("~/handler.ashx?optype=upload_ok") %>';
    var bizid = '<%=BIZID %>';
    $(function () {
        if ('<%=ENABLE_UPLOAD%>' == '0') {
            $('.li-txsc').hide();
            $('.li-wjsc').hide();
        }
    });
</script>
<script type="text/javascript" src="<%=ResolveUrl("~/js/editor/JS/editor.js?v=") %><%=Business.SettingBIZ._JsVer %>"></script>
<div class="prg" id="divprg"><div class="prg-p prgVAL"></div></div>
