﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MEMBER.ascx.cs" Inherits="fyyweb.uc.MEMBER" %>
<div id="div-mem-popup" class="div-popup div-mem-popup">
    <div class="title">成员选择</div>
    <div class="close">
        <a href="javascript:cancelMemPop();" title="关闭">
            <img src="../../images/close.png" /></a>
    </div>
    <div class="div-popup-form div-mem-popup-form">
        <div id="search" class="search" style="padding-left: 2px">
            <input type="text" id="txtkey" class="txtbox line-textbox" style="width: 150px; margin-left: 2px; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" placeholder="按成员名称查询" value="" autocomplete="off" />
        </div>
        <div id="treecontent" class="content">
            <table id="treeTable1" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl treelist">
                <tr id="0" class="hide">
                    <td class="tdcenter" style="min-width: 30px">1</td>
                    <td style="min-width: 150px" height="30" class="tdleft" istitle="1"></td>
                    <td style="width: 80px">
                        <input type="checkbox" class="cbx" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div class="mem-btn">
        <input type="button" class="ok-btn" value="确定" onclick="yesMem();" />
        <input type="button" class="hid-btn" />
        <input type="button" class="ret-btn" value="取消" onclick="cancelMemPop()" />
    </div>
</div>
<div id="div-popup-shade" class="div-popup-shade"></div>
<script type="text/javascript">
    var mem_popup = document.getElementById('div-mem-popup');
    var shade = document.getElementById('div-popup-shade');
    var datatype = '';
    $(function () {
        $(".div-mem-popup #txtkey").bind('input', {}, function (event) {
            fetch_membertree_intobox();
        });
    });

    function showMemPopWithOutShade(_datatype) {
        mem_popup.style.display = "block";
        datatype = _datatype;
        $('.div-mem-popup .title').html('选择成员');
        selectids = '';
        selectnames = '';
        $('.div-mem-popup #txtkey').val('');
        fetch_membertree_intobox();
    }

    function showMemPop(_datatype) {
        mem_popup.style.display = "block";
        shade.style.display = "block";
        datatype = _datatype;
        if (datatype == 'ZXR') {
            $('.div-mem-popup .title').html('选择执行人');
        } else if (datatype == 'CYR') {
            $('.div-mem-popup .title').html('选择参与人');
        }else if (datatype == 'MEM') {
            $('.div-mem-popup .title').html('选择成员');
        }
        selectids = '';
        selectnames = '';
        $('.div-mem-popup #txtkey').val('');
        fetch_membertree_intobox();
    }

    function hideMemPop() {
        mem_popup.style.display = "none";
        shade.style.display = "none";
        datatype = '';
        //old_auth_list = auth_list.slice(0, auth_list.length);
    }

    function cancelMemPop() {
        mem_popup.style.display = "none";
        shade.style.display = "none";
        datatype = '';
        //auth_list = old_auth_list.slice(0, old_auth_list.length);
    }
</script>
